Graph Class Reference

A 2D-plotting widget. More...

`#include <Graph.h>`

Inheritance diagram for Graph:

## Public Types

enum | Axis { Left, Right, Bottom, Top }
enum | AxisTitlePolicy { Default, ColName, ColComment, NameAndComment }
enum | CurveType { Line, Scatter, LineSymbols, VerticalBars, Area, Pie, VerticalDropLines, Spline, HorizontalSteps, Histogram, HorizontalBars, VectXYXY, ErrorBars, Box, VectXYAM, VerticalSteps, ColorMap, GrayScale, Contour, Function, ImagePlot, StackBar, StackColumn }
enum | LegendDisplayMode { Auto, ColumnName, ColumnComment, TableName, TableLegend, DataSetName }
enum | MarkerType { None = -1, Text = 0, Arrow = 1, Image = 2 }
enum | Scale { Linear, Log10, Ln, Log2, Reciprocal, Probability, Logit }
enum | Ticks { NoTicks = 0, Out = 1, InOut = 2, In = 3 }

## Public Slots

void | activateGraph ()
bool | addCurves (Table *w, const QStringList &names, int style=0, double lWidth=1, int sSize=3, int startRow=0, int endRow=-1)
void | addFitCurve (QwtPlotCurve *c)
QwtHistogram * | addHistogram (Matrix *m)
| Add a matrix histogram to the graph. More...
QStringList | analysableCurvesList ()
| Returns the names of all the curves suitable for data analysis, as a string list. The list excludes error bars and spectrograms. More...
bool | antialiasing ()
bool | autoscaleFonts ()
double | axisStep (int axis)
void | clearAxisTitle ()
void | copy (Graph *g)
void | copyAxisTitle ()
void | copyCurves (Graph *g)
void | copyEnrichments (Graph *g)
void | copyScaleDraw (Graph *g, int i)
void | copyScaleWidget (Graph *g, int i)
void | copyTitle ()
void | createTable (const QString &curveName)
| Provided for convenience in scripts. More...
void | createTable (const QwtPlotCurve *curve)
PlotCurve * | curve (int index)
| get curve by index More...
PlotCurve * | curve (const QString &title)
| get curve by name More...
int | curveCount ()
int | curveIndex (QwtPlotItem *c)
| Map curve pointer to index. More...
int | curveIndex (const QString &title)
| map curve title to index More...
QStringList | curveNamesList ()
| Returns the names of all the QwtPlotCurve items on the plot, as a string list. More...
QString | curveRange (QwtPlotCurve *c)
| returns the curve range information as a string: "curve_name [start:end]" More...
QString | curveTitle (int index)
| get curve title string by inde (convenience function for scripts) More...
void | cutAxisTitle ()
void | cutTitle ()
DataCurve * | dataCurve (int index)
void | deleteFitCurves ()
void | disableCurveAntialiasing (bool disable, int maxPoints)
void | disableImageProfilesTool ()
void | disableTools ()
void | enableAutoscaling (bool on=true)
bool | enableRangeSelectors (const QObject *status_target=NULL, const char *status_slot="")
void | enableTextEditor ()
QList< QwtPlotCurve * > | fitCurvesList ()
FunctionCurve * | functionCurve (int index)
static Qt::PenStyle | getPenStyle (const QString &s)
static Qt::PenStyle | getPenStyle (int style)
bool | hasGridOnTop ()
void | hideSelectedAxis ()
QPointer< ImageProfilesTool > | imageProfilesTool ()
DataCurve * | insertCurve (Table *w, const QString &name, int style, int startRow=0, int endRow=-1)
DataCurve * | insertCurve (Table *w, int xcol, const QString &name, int style)
DataCurve * | insertCurve (Table *w, const QString &xColName, const QString &yColName, int style, int startRow=0, int endRow=-1)
DataCurve * | insertCurve (Table *xt, const QString &xColName, Table *yt, const QString &yColName, int style, int startRow=0, int endRow=-1)
void | insertCurve (QwtPlotItem *c)
void | insertPlotItem (QwtPlotItem *i, int type)
void | invertScale (int axis)
| Set axis scale. More...
bool | isAutoscalingEnabled ()
bool | isCurveAntialiasingDisabled ()
bool | isCurveAntialiasingEnabled (QwtPlotItem *it)
bool | isMissingDataGapEnabled ()
int | maxAntialisingSize ()
void | notifyChanges ()
void | notifyColorChange (const QColor &c)
void | notifyFontChange (const QFont &f)
static int | obsoleteSymbolStyle (int type)
int | oppositeAxis (int axis)
static QString | penStyleName (Qt::PenStyle style)
QwtPlotItem * | plotItem (int index)
| get plotted item by index More...
QStringList | plotItemsList ()
| Returns the names of all plot items, including spectrograms, as a string list. More...
Spectrogram * | plotSpectrogram (Matrix *m, CurveType type)
| Add a spectrogram to the graph. More...
int | range (const QString &curveTitle, double *start, double *end)
int | range (QwtPlotCurve *c, double *start, double *end)
bool | rangeSelectorsEnabled ()
QPointer< RangeSelectorTool > | rangeSelectorTool ()
void | reloadCurvesData ()
void | removeAxisTitle ()
void | removeCurve (QwtPlotItem *it)
void | removeCurve (int index)
| Removes a curve defined by its index. More...
void | removeCurve (const QString &s)
| Removes a curve defined by its title string s. More...
void | removeCurves (const QString &s)
| Removes all curves defined by the title/plot association string s. More...
QwtHistogram * | restoreHistogram (Matrix *m, const QStringList &l)
| Restores a histogram from a project file. More...
void | restoreSpectrogram (ApplicationWindow *app, const QStringList &lst)
| Restores a spectrogram. Used when opening a project file. More...
void | reverseCurveOrder ()
double | selectedXEndValue ()
double | selectedXStartValue ()
void | setAntialiasing (bool on=true, bool update=true)
| Enables/Disables antialiasing of plot items. More...
void | setAutoScale ()
void | setAutoscaleFonts (bool on=true)
void | setAxisStep (int axis, double step)
void | setBarsGap (int curve, int gapPercent, int offset)
| Used for VerticalBars, HorizontalBars and Histograms. More...
void | setCanvasCoordinates (const QRectF &)
void | setCurrentColor (const QColor &c)
void | setCurrentFont (const QFont &f)
void | setGridOnTop (bool on=true, bool update=true)
void | setScale (int axis, double start, double end, double step=0.0, int majorTicks=5, int minorTicks=5, int type=0, bool inverted=false, double left_break=-DBL_MAX, double right_break=DBL_MAX, int pos=50, double stepBeforeBreak=0.0, double stepAfterBreak=0.0, int minTicksBeforeBreak=4, int minTicksAfterBreak=4, bool log10AfterBreak=false, int breakWidth=4, bool breakDecoration=true)
void | showAxisContextMenu (int axis)
void | showAxisDialog ()
void | showAxisTitleMenu ()
void | showCurve (int index, bool visible=true)
| Shows/Hides a curve defined by its index. More...
void | showGrid ()
| Convenience function enabling the grid for QwtScaleDraw::Left and Bottom Scales. More...
void | showGrid (int axis)
| Convenience function enabling the grid for a user defined axis. More...
void | showGrids ()
void | showMissingDataGap (bool on=true, bool update=true)
static void | showPlotErrorMessage (QWidget *parent, const QStringList &emptyColumns)
void | showScaleDialog ()
void | showTitleContextMenu ()
Spectrogram * | spectrogram (Matrix *m)
| Returns a pointer to the spectrogram which data source is matrix m (the pointer can be NULL) More...
void | updateCurveNames (const QString &oldName, const QString &newName, bool updateTableName=true)
void | updateCurvesData (Table *w, const QString &yColName)
void | updateDataCurves ()
void | updateOppositeScaleDiv (int axis)
void | updatePlot ()
void | updateScale ()
void | updateSecondaryAxis (int axis, bool changeFormat=false)
bool | validCurvesDataSize ()
int | visibleCurves ()
Pie Curves
bool | isPiePlot ()
| Returns true if this Graph is a pie plot, false otherwise. More...
PieCurve * | plotPie (Table *w, const QString &name, int startRow=0, int endRow=-1)
| Used when creating a pie plot. More...

PieCurve *

plotPie (Table *w, const QString &name, const QPen &pen, int brush, int size, int firstColor, int startRow=0, int endRow=-1, bool visible=true, double d_start_azimuth=270, double d_view_angle=90, double d_thickness=33, double d_horizontal_offset=0.0, double d_edge_dist=25, bool d_counter_clockwise=false, bool d_auto_labeling=true, bool d_values=false, bool d_percentages=true, bool d_categories=false, bool d_fixed_labels_pos=true)

| Used when restoring a pie plot from a project file. More...
void | removePie ()
QString | pieLegendText ()
QString | savePieCurveLayout ()
Customizing plot curves
void | setCurveStyle (int index, int s)
void | setCurveFullRange (int curveIndex)
void | setCurveLineColor (int curveIndex, int colorIndex)
void | setCurveLineColor (int curveIndex, QColor qColor)
void | setCurveLineStyle (int curveIndex, Qt::PenStyle style)
void | setCurveLineWidth (int curveIndex, double width)
void | setGrayScale ()
void | setIndexedColors ()
Output: Copy/Export/Print
void | print ()
void | copyImage ()
QPixmap | graphPixmap (const QSize &size=QSize(), double scaleFontsFactor=1.0, bool transparent=false)
void | exportToFile (const QString &fileName)
| Provided for convenience in scripts. More...
void | exportSVG (const QString &fname, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportEMF (const QString &fname, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportTeX (const QString &fname, bool color=true, bool escapeStrings=true, bool fontSizes=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportVector (const QString &fileName, int res=0, bool color=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportVector (QPrinter *printer, int res=0, bool color=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportImage (const QString &fileName, int quality=100, bool transparent=false, int dpi=0, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0, int compression=0)
void | draw (QPaintDevice *, const QSize &size, double fontsFactor=1.0)
static QSize | customPrintSize (const QSizeF &customSize, int unit, int dpi)
Error Bars
ErrorBarsCurve * | addErrorBars (const QString &xColName, const QString &yColName, Table *errTable, const QString &errColName, int type=1, double width=1, int cap=8, const QColor &color=QColor(Qt::black), bool through=true, bool minus=true, bool plus=true)
ErrorBarsCurve * | addErrorBars (const QString &yColName, Table *errTable, const QString &errColName, int type=1, double width=1, int cap=8, const QColor &color=QColor(Qt::black), bool through=true, bool minus=true, bool plus=true)
ErrorBarsCurve * | addErrorBars (DataCurve *c, Table *errTable, const QString &errColName, int type=1, double width=1, int cap=8, const QColor &color=QColor(Qt::black), bool through=true, bool minus=true, bool plus=true)
void | updateErrorBars (ErrorBarsCurve *er, bool xErr, double width, int cap, const QColor &c, bool plus, bool minus, bool through)
void | loadErrorBars (QList< ErrorBarsCurve * > errBars, QList< int > mcIndexes)
| Used when restoring project files. More...
DataCurve * | masterCurve (ErrorBarsCurve *er)
| Returns a valid master curve for the error bars curve. More...
DataCurve * | masterCurve (const QString &xColName, const QString &yColName)
| Returns a valid master curve for a plot association. More...
Event Handlers
bool | mousePressed (QEvent *)
void | contextMenuEvent (QContextMenuEvent *)
void | closeEvent (QCloseEvent *e)
bool | focusNextPrevChild (bool next)
Curves Layout
CurveLayout | initCurveLayout (int style, int curves=0, bool guessLayout=true)
static CurveLayout | initCurveLayout ()
void | updateCurveLayout (PlotCurve *c, const CurveLayout *cL)
void | guessUniqueCurveLayout (int &colorIndex, int &symbolIndex)
| Tries to guess not already used curve color and symbol style. More...
Zoom
void | zoomed (const QwtDoubleRect &)
void | zoom (bool on)
void | zoomOut ()
bool | zoomOn ()
Saving/Restoring to/from file
QString | saveToString (bool saveAsTemplate=false)
QString | saveScale ()
QString | saveScaleTitles ()
QString | saveFonts ()
QString | saveMarkers ()
QString | saveCurveLayout (int index)
QString | saveAxesTitleColors ()
QString | saveAxesColors ()
QString | saveEnabledAxes ()
QString | saveCanvas ()
QString | saveTitle ()
QString | saveAxesTitleAlignement ()
QString | saveEnabledTickLabels ()
QString | saveTicksType ()
QString | saveCurves ()
QString | saveLabelsFormat ()
QString | saveLabelsRotation ()
QString | saveAxesLabelsType ()
QString | saveAxesBaseline ()
QString | saveAxesFormulas ()
QString | saveAxesBackbones ()
QString | saveTickLabelsSpace ()
QString | saveLabelsPrefixAndSuffix ()
QString | saveBackgroundImage ()
void | restoreBackgroundImage (const QStringList &lst)
void | restoreSymbolImage (int index, const QStringList &lst)
static QString | rgbaName (const QColor &color)
Texts
LegendWidget * | addText (LegendWidget *)
LegendWidget * | insertText (const QStringList &list, int fileVersion)
| Used when opening a project file. More...
LegendWidget * | addTimeStamp ()
void | removeLegendItem (int index)
void | insertLegend (const QStringList &lst, int fileVersion)
LegendWidget * | newLegend (const QString &text=QString())
QString | legendText (bool layerSpec=false, int fromIndex=0)
| Creates a new legend text using the curves titles. More...
Obsolete functions provided to keep existing Python scripts working
LegendWidget * | legend ()
void | setLegend (const QString &)
void | removeLegend ()
Line Markers
ArrowMarker * | addArrow (ArrowMarker *mrk)
void | remove (ArrowMarker *arrow)
void | addArrow (QStringList list, int fileVersion)
| Used when opening a project file. More...
QList< ArrowMarker * > | arrowsList ()
int | numArrows ()
void | drawLine (bool on, bool arrow=false)
| Draws a line/arrow depending on the value of "arrow". More...
bool | drawArrow ()
bool | drawLineActive ()
bool | arrowMarkerSelected ()
Image Markers
ImageWidget * | addImage (ImageWidget *i)
ImageWidget * | addImage (const QString &fileName)
ImageWidget * | addImage (const QImage &image)
void | insertImageMarker (const QStringList &lst, int fileVersion)
bool | imageMarkerSelected ()
Common to all Markers
void | removeMarker ()
void | updateMarkersBoundingRect (bool rescaleEvent=true)
| Keep the markers on screen each time the scales are modified by adding/removing curves. More...
void | setSelectedArrow (ArrowMarker *mrk, bool add=false)
| Set the selected arrow. More...
ArrowMarker * | selectedArrow ()
bool | markerSelected ()
void | deselectMarker ()
| Reset any selection states on markers. More...
Axes
QwtScaleWidget * | currentScale ()
QwtScaleWidget * | selectedScale ()
QRect | axisTitleRect (const QwtScaleWidget *scale)
bool | axisTitleSelected ()
ScaleDraw::ScaleType | axisType (int axis)
void | setXAxisTitle (const QString &text)
void | setYAxisTitle (const QString &text)
void | setRightAxisTitle (const QString &text)
void | setTopAxisTitle (const QString &text)
QString | axisTitleString (int axis)
void | setAxisTitleString (int axis, const QString &text)
void | setAxisTitle (int axis, const QString &text)
void | updateAxesTitles ()
void | updateAxisTitle (int axis)
void | setScaleTitle (int axis, const QString &text)
| TODO: eliminate this function in version 0.9.1 (used only when restoring project files) More...
QFont | axisTitleFont (int axis)
void | setAxisTitleFont (int axis, const QFont &fnt)
void | setAxisFont (int axis, const QFont &fnt)
void | initFonts (const QFont &scaleTitleFnt, const QFont &numbersFnt)
QColor | axisTitleColor (int axis)
void | setAxisTitleColor (int axis, const QColor &c)
int | axisTitleAlignment (int axis)
void | setAxisTitleAlignment (int axis, int align)
int | axisTitleDistance (int axis)
void | setAxisTitleDistance (int axis, int dist)
QColor | axisColor (int axis)
void | setAxisColor (int axis, const QColor &color)
QColor | axisLabelsColor (int axis)
void | setAxisLabelsColor (int axis, const QColor &color)

void

showAxis (int axis, int type, const QString &formatInfo, Table *table, bool axisOn, int majTicksType, int minTicksType, bool labelsOn, const QColor &c, int format, int prec, int rotation, int baselineDist, const QString &formula, const QColor &labelsColor, int spacing=4, bool backbone=true, const ScaleDraw::ShowTicksPolicy &showTicks=ScaleDraw::ShowAll, const QString &prefix=QString::null, const QString &suffix=QString::null)

void | enableAxis (int axis, bool on=true)
void | enableAxisLabels (int axis, bool on=true)
int | labelsRotation (int axis)
void | setAxisLabelRotation (int axis, int rotation)
void | loadAxesLinewidth (int width)
| used when opening a project file More...
void | drawAxesBackbones (bool yes)
bool | axesBackbones ()
void | loadAxesOptions (const QStringList &lst)
| used when opening a project file More...
void | setAxisMargin (int axis, int margin)
void | setMajorTicksType (const QList< int > &lst)
void | setMajorTicksType (const QStringList &lst)
void | setMinorTicksType (const QList< int > &lst)
void | setMinorTicksType (const QStringList &lst)
void | setAxisTicksLength (int axis, int majTicksType, int minTicksType, int minLength, int majLength)
void | setTicksLength (int minLength, int majLength)
void | changeTicksLength (int minLength, int majLength)
void | setLabelsNumericFormat (const QStringList &l)
| Used for restoring project files. More...
void | setLabelsNumericFormat (int axis, int format, int prec=6, const QString &formula=QString())
void | setLabelsDateTimeFormat (int axis, int type, const QString &formatInfo)
void | setLabelsDayFormat (int axis, int format)
void | setLabelsMonthFormat (int axis, int format)
void | recoverObsoleteDateTimeScale (int axis, int type, const QString &origin, const QString &format)
QString | axisFormatInfo (int axis)
void | setLabelsTextFormat (int axis, int type, const QString &name, const QStringList &lst)
void | setLabelsTextFormat (int axis, int type, const QString &labelsColName, Table *table)
QString | axisFormula (int axis)
void | setAxisFormula (int axis, const QString &)
Canvas Frame
void | setCanvasFrame (int width=1, const QColor &color=QColor(Qt::black))
QColor | canvasFrameColor ()
int | canvasFrameWidth ()
Canvas Image Background
QString | canvasBackgroundFileName ()
void | setCanvasBackgroundImage (const QString &fn=QString(), bool update=true)
QPixmap | backgroundPixmap ()
Plot Title
void | setTitleFont (const QFont &fnt)
void | setTitleColor (const QColor &c)
void | setTitleAlignment (int align)
bool | titleSelected ()
void | selectTitle (bool select=true)
void | clearTitle ()
| Sets the title to an "almost empty" string: " ", thus keeping the QwtText object visible. More...
void | removeTitle ()
| Sets title to an empty string and hides the text label. More...
void | initTitle (bool on, const QFont &fnt)
Border and background
void | setFrame (int width=1, const QColor &color=Qt::black)
void | setBackgroundColor (const QColor &color)
User-defined Functions
void | modifyFunctionCurve (int curve, int type, const QStringList &formulas, const QString &var, double start, double end, int points, const QMap< QString, double > &constants)
FunctionCurve * | addFunction (const QStringList &formulas, double start, double end, int points=100, const QString &var="x", int type=0, const QString &title=QString::null)
FunctionCurve * | insertFunctionCurve (const QString &formula, int points, int fileVersion)
| Used when reading from a project file with version < 0.9.5. More...
QString | generateFunctionName (const QString &name=tr("F"))
| Returns an unique function name. More...
Vector Curves
VectorCurve * | plotVectors (Table *w, const QStringList &colList, int style, int startRow=0, int endRow=-1)
void | updateVectorsLayout (int curve, const QColor &color, double width, int arrowLength, int arrowAngle, bool filled, int position, const QString &xEndColName=QString(), const QString &yEndColName=QString())
Box Plots
BoxCurve * | openBoxDiagram (Table *w, const QStringList &l, int fileVersion)
void | plotBox (Table *w, const QStringList &names, int startRow=0, int endRow=-1)
BoxCurve * | boxCurve (int index)
Resizing
void | resizeEvent (QResizeEvent *e)
void | scaleFonts (double factor)
Waterfall
bool | isWaterfallPlot ()
int | waterfallXOffset ()
int | waterfallYOffset ()
void | setWaterfallOffset (int x, int y, bool update=false)
void | setWaterfallXOffset (int)
void | setWaterfallYOffset (int)
void | setWaterfallSideLines (bool on=true)
void | setWaterfallFillColor (const QColor &)
void | updateWaterfallFill (bool on)

## Signals

void | axisDblClicked (int)
void | axisDivChanged (Graph *, int)
void | closedGraph ()
void | currentColorChanged (const QColor &)
void | currentFontChanged (const QFont &)
void | cursorInfo (const QString &)
void | dataRangeChanged ()
void | drawLineEnded (bool)
void | enableTextEditor (Graph *)
void | hiddenPlot (QWidget *)
void | modifiedGraph ()
void | selectedCanvas (Graph *)
void | selectedGraph (Graph *)
void | selectionChanged (SelectionMoveResizer *)
void | showAxisDialog (int)
void | showAxisTitleDialog ()
void | showContextMenu ()
void | showCurveContextMenu (QwtPlotItem *)
void | showFitResults (const QString &)
void | showMarkerPopupMenu ()
void | showPlotDialog (int)
void | updatedLayout (Graph *)
void | viewLineDialog ()
void | viewTitleDialog ()

## Public Member Functions

FrameWidget * | activeEnrichment ()
LegendWidget * | activeText ()
PlotToolInterface * | activeTool () const
| Return the active tool, or NULL if none is active. More...
FrameWidget * | add (FrameWidget *fw, bool copy=true)
void | addLegendItem ()
TexWidget * | addTexFormula (const QString &s, const QPixmap &pix)
int | axesLinewidth () const
void | axisLabelFormat (int axis, char &f, int &prec) const
int | axisLabelFormat (int axis)
int | axisLabelPrecision (int axis)
AxisTitlePolicy | axisTitlePolicy ()
QRect | boundingRect ()
void | changeCurveIndex (int fromIndex, int toIndex)
QwtPlotItem * | closestCurve (int xpos, int ypos, int &dist, int &point)
QList< QwtPlotItem * > | curvesList ()
void | deselect ()
void | deselect (QWidget *)
void | enableDouglasPeukerSpeedMode (double tolerance, int maxPoints=3000)
void | enablePanningMagnifier (bool on=true, int mode=0)
QList< FrameWidget * > | enrichmentsList ()
QColor | frameColor ()
double | getDouglasPeukerTolerance ()
QList< int > | getMajorTicksType ()
QList< int > | getMinorTicksType ()
| Graph (int x=0, int y=0, int width=500, int height=400, QWidget *parent=0, Qt::WFlags f=0)
Grid * | grid ()
bool | hasActiveTool ()
| Returns true if a plot/data tool is enabled. More...
bool | hasPanningMagnifierEnabled ()
bool | hasSeletedItems ()
bool | hasSynchronizedScaleDivisions ()
QList< FrameWidget * > | increasingAreaEnrichmentsList ()
void | insertMarker (QwtPlotMarker *m)
bool | isPrinting ()
QwtPlotMagnifier * | magnifyTool ()
int | majorTickLength () const
int | minorTickLength () const
MultiLayer * | multiLayer () const
| Returns a pointer to the parent MultiLayer object. More...
QRectF | pageGeometry ()
const QColor & | paletteBackgroundColor () const
void | print (QPainter *, const QRect &rect, const QwtPlotPrintFilter &=QwtPlotPrintFilter())
| Paint the plot into a given rectangle. Paint the contents of a QwtPlot instance into a given rectangle (Qwt modified code). More...
void | raiseEnrichements ()
void | remove (FrameWidget *)
void | restoreCurveLabels (int curveID, const QStringList &lst)
| Used when restoring DataCurve curveID from a project file. More...
void | select (QWidget *l, bool add=false)
void | selectCanvas ()
QwtPlotItem * | selectedCurveLabels ()
QPointer< SelectionMoveResizer > | selectionMoveResizer ()
void | setActiveText (LegendWidget *l)
void | setActiveTool (PlotToolInterface *tool)
| Change the active tool, deleting the old one if it exists. More...
void | setAxesLinewidth (int width)
void | setAxisTitlePolicy (const AxisTitlePolicy &policy)
void | setCanvasGeometry (const QRect &canvasRect)
| Adjust plot content to its canvas size. More...
void | setCanvasGeometry (int x, int y, int w, int h)
| Convenience function for scripts. More...
void | setCanvasSize (const QSize &size)
| Adjust plot content to its canvas size. More...
void | setCanvasSize (int w, int h)
| Convenience function for scripts. More...
void | setCurvesList (QList< QwtPlotItem * > lst)
void | setMajorTicksType (int axis, int type)
void | setMinorTicksType (int axis, int type)
void | setPageGeometry (const QRectF &r)
void | setSynchronizedScaleDivisions (bool on)
void | setTickLength (int minLength, int majLength)
int | speedModeMaxPoints ()
QList< LegendWidget * > | textsList ()
void | updateCurveLabels ()
void | updateLayout ()
| Adjust plot content to its current size. Must be reimplemented because the base implementation adds a mask causing an ugly drawing artefact. More...
| ~Graph ()

## Private Slots

void | selectorDeleted ()

## Private Member Functions

QwtDoubleInterval | axisBoundingInterval (int axis)
| Finds bounding interval of the plot data. More...
void | deselectCurves ()
void | dragEnterEvent (QDragEnterEvent *)
void | drawBreak (QPainter *painter, const QRect &rect, const QwtScaleMap &map, int axis) const
void | drawInwardTicks (QPainter *painter, const QRect &rect, const QwtScaleMap &map, int axis, bool min, bool maj) const
virtual void | drawItems (QPainter *painter, const QRect &rect, const QwtScaleMap map[axisCnt], const QwtPlotPrintFilter &pfilter) const
void | dropEvent (QDropEvent *)
QString | parseAxisTitle (int axis)
void | printCanvas (QPainter *painter, const QRect &canvasRect, const QwtScaleMap map[axisCnt], const QwtPlotPrintFilter &pfilter) const
void | printFrame (QPainter *painter, const QRect &rect) const
virtual void | printScale (QPainter *, int axisId, int startDist, int endDist, int baseDist, const QRect &) const
| Paint a scale into a given rectangle. Paint the scale into a given rectangle (modified code from Qwt). More...
void | showEvent (QShowEvent *event)
QList< FrameWidget * > | stackingOrderEnrichmentsList () const

## Private Attributes

bool | autoScaleFonts
CanvasPicker * | cp
FrameWidget * | d_active_enrichment
| Pointer to the currently selected text/legend. More...
PlotToolInterface * | d_active_tool
| The currently active tool, or NULL for default (pointer). More...
bool | d_antialiasing
| Render hint for plot items. More...
bool | d_auto_scale
| Flag indicating if the axes limits should be changed in order to show all data each time a curva data change occurs. More...
AxisTitlePolicy | d_axis_title_policy
QStringList | d_axis_titles
QString | d_canvas_bkg_path
QPixmap | d_canvas_bkg_pix
QList< QwtPlotItem * > | d_curves
| List storing pointers to the curves on the plot. More...
bool | d_disable_curve_antialiasing
double | d_Douglas_Peuker_tolerance
QList< FrameWidget * > | d_enrichments
QList< QwtPlotCurve * > | d_fit_curves
| List storing pointers to the curves resulting after a fit session, in case the user wants to delete them later on. More...
Grid * | d_grid
| Pointer to the grid. More...
bool | d_grid_on_top
| Flag telling if the grid should be drawn on top of data. More...
QPointer< ImageProfilesTool > | d_image_profiles_tool
bool | d_is_printing
| Flag telling if we are performing a print operation. More...
QList< ArrowMarker * > | d_lines
| Arrows/lines on plot. More...
QwtPlotMagnifier * | d_magnifier
int | d_maj_tick_length
QPointer< SelectionMoveResizer > | d_markers_selector
| The markers selected for move/resize operations or NULL if none are selected. More...
int | d_max_antialising_size
int | d_min_tick_length
| Axes tick lengths. More...
bool | d_missing_data_gap
| Flag telling if the curves line should be connected across missing data. More...
QRectF | d_page_rect
QwtPlotPanner * | d_panner
PlotToolInterface * | d_peak_fit_tool
QPointer< RangeSelectorTool > | d_range_selector
| The current curve selection, or NULL if none is active. More...
ArrowMarker * | d_selected_arrow
| Pointer to the currently selected line/image. More...
int | d_speed_mode_points
bool | d_synchronize_scales
QVector< double > | d_user_step
| Stores the step the user specified for the four scale. If step = 0.0, the step will be calculated automatically by the Qwt scale engine. More...
int | d_waterfall_offset_x
int | d_waterfall_offset_y
QwtPlotZoomer * | d_zoomer [2]
bool | drawArrowOn
bool | drawAxesBackbone
bool | drawLineOn
ScalePicker * | scalePicker
TitlePicker * | titlePicker

## Detailed Description

A 2D-plotting widget.

Graphs are managed by a MultiLayer, where they are sometimes referred to as "graphs" and sometimes as "layers". Other parts of the code also call them "plots", regardless of the fact that there's also a class Plot. Within the user interface, they are quite consistently called "layers".

Each graph owns a Plot called #d_plot, which handles parts of the curve, axis and marker management (similarly to QwtPlot), as well as the pickers d_zoomer (a QwtPlotZoomer), titlePicker (a TitlePicker), scalePicker (a ScalePicker) and cp (a CanvasPicker), which handle various parts of the user interaction.

Graph contains support for various curve types (see CurveType), some of them relying on Qtiplot-specific QwtPlotCurve subclasses for parts of the functionality.

Note that some of Graph's methods are implemented in analysis.cpp.

# Future Plans

Merge with Plot and CanvasPicker. Think about merging in TitlePicker and ScalePicker. On the other hand, things like range selection, peak selection or (re)moving data points could be split out into tool classes like QwtPlotZoomer or SelectionMoveResizer.

What definitely should be split out are plot types like histograms and pie charts (TODO: which others?). We need a generic framework for this in any case so that new plot types can be implemented in plugins, and Graph could do with a little diet. Especially after merging in Plot and CanvasPicker. [ Framework needs to support plug-ins; assigned to ion ]

## Member Enumeration Documentation

enum Graph::Axis

Enumerator
Left |
Right |
Bottom |
Top |

enum Graph::AxisTitlePolicy

Enumerator
Default |
ColName |
ColComment |
NameAndComment |

enum Graph::CurveType

Enumerator
Line |
Scatter |
LineSymbols |
VerticalBars |
Area |
Pie |
VerticalDropLines |
Spline |
HorizontalSteps |
Histogram |
HorizontalBars |
VectXYXY |
ErrorBars |
Box |
VectXYAM |
VerticalSteps |
ColorMap |
GrayScale |
Contour |
Function |
ImagePlot |
StackBar |
StackColumn |

enum Graph::LegendDisplayMode

Enumerator
Auto |
ColumnName |
ColumnComment |
TableName |
TableLegend |
DataSetName |

enum Graph::MarkerType

Enumerator
None |
Text |
Arrow |
Image |

enum Graph::Scale

Enumerator
Linear |
Log10 |
Ln |
Log2 |
Reciprocal |
Probability |
Logit |

enum Graph::Ticks

Enumerator
NoTicks |
Out |
InOut |
In |

## Constructor & Destructor Documentation

Graph::Graph | ( | int | x = `0`,
|  | int | y = `0`,
|  | int | width = `500`,
|  | int | height = `400`,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | f = `0`
| ) |  |

References activateGraph(), autoScaleFonts, axisDblClicked(), ColComment, cp, d_active_enrichment, d_active_tool, d_antialiasing, d_auto_scale, d_axis_title_policy, d_axis_titles, d_canvas_bkg_path, d_canvas_bkg_pix, d_Douglas_Peuker_tolerance, d_grid, d_grid_on_top, d_image_profiles_tool, d_is_printing, d_magnifier, d_maj_tick_length, d_min_tick_length, d_missing_data_gap, d_page_rect, d_panner, d_peak_fit_tool, d_range_selector, d_selected_arrow, d_speed_mode_points, d_synchronize_scales, d_user_step, d_waterfall_offset_x, d_waterfall_offset_y, d_zoomer, deselectMarker(), drawArrowOn, drawAxesBackbone, drawLineOn, enableTextEditor(), modifiedGraph(), removeTitle(), scalePicker, selectTitle(), showAxisContextMenu(), showAxisDialog(), showAxisTitleMenu(), showMarkerPopupMenu(), showPlotDialog(), showTitleContextMenu(), titlePicker, updateAxesTitles(), viewLineDialog(), zoom(), and zoomed().

Graph::~Graph | ( |  | ) |

References cp, d_active_tool, d_enrichments, d_magnifier, d_markers_selector, d_panner, d_peak_fit_tool, d_range_selector, disableImageProfilesTool(), scalePicker, and titlePicker.

## Member Function Documentation

void Graph::activateGraph | ( |  | ) |

slot

References selectedGraph().

Referenced by CanvasPicker::eventFilter(), Graph(), FrameWidget::mousePressEvent(), and ScalePicker::mouseRightClicked().

FrameWidget* Graph::activeEnrichment | ( |  | ) |

inline

References d_active_enrichment.

Referenced by ApplicationWindow::copyMarker(), ApplicationWindow::intensityTable(), LineProfileTool::LineProfileTool(), ApplicationWindow::showEnrichementDialog(), and ApplicationWindow::showMarkerPopupMenu().

LegendWidget * Graph::activeText | ( |  | ) |

References d_active_enrichment.

Referenced by ApplicationWindow::enableTextEditor(), and TextEditor::TextEditor().

PlotToolInterface* Graph::activeTool | ( |  | ) | const

inline

Return the active tool, or NULL if none is active.

References d_active_tool.

Referenced by ApplicationWindow::clearSelection(), ApplicationWindow::copySelection(), ApplicationWindow::custom2DPlotTools(), ApplicationWindow::cutSelection(), CanvasPicker::eventFilter(), SubtractLineTool::finalize(), MultiPeakFitTool::finalize(), ApplicationWindow::pasteSelection(), MultiLayer::removeLayer(), MultiLayer::setNumLayers(), ApplicationWindow::showCurveContextMenu(), and ApplicationWindow::showCurveWorksheet().

FrameWidget * Graph::add | ( | FrameWidget * | fw,
|  | bool | copy = `true`
| ) |  |

References FrameWidget::attachPolicy(), d_active_enrichment, d_enrichments, FrameWidget::isOnTop(), FrameWidget::setAttachPolicy(), and FrameWidget::setOnTop().

Referenced by AddWidgetTool::addEllipse(), AddWidgetTool::addEquation(), AddWidgetTool::addRectangle(), AddWidgetTool::addText(), copyEnrichments(), ApplicationWindow::pasteSelection(), PieLabel::PieLabel(), RectangleWidget::restore(), EllipseWidget::restore(), LegendWidget::restore(), and ApplicationWindow::zoomRectanglePlot().

ArrowMarker * Graph::addArrow | ( | ArrowMarker * | mrk | ) |

slot

References ArrowMarker::attachPolicy(), ArrowMarker::color(), d_lines, ArrowMarker::drawEndArrow(), ArrowMarker::drawStartArrow(), ArrowMarker::endPointCoord(), ArrowMarker::fillArrowHead(), ArrowMarker::filledArrowHead(), ArrowMarker::hasEndArrow(), ArrowMarker::hasStartArrow(), ArrowMarker::headAngle(), ArrowMarker::headLength(), insertMarker(), ArrowMarker::setAttachPolicy(), ArrowMarker::setBoundingRect(), ArrowMarker::setColor(), ArrowMarker::setHeadAngle(), ArrowMarker::setHeadLength(), ArrowMarker::setStyle(), ArrowMarker::setWidth(), ArrowMarker::startPointCoord(), ArrowMarker::style(), and ArrowMarker::width().

Referenced by copyEnrichments(), CanvasPicker::eventFilter(), ApplicationWindow::openGraph(), and ApplicationWindow::pasteSelection().

void Graph::addArrow | ( | QStringList | list,
|  | int | fileVersion
| ) |  |

slot

Used when opening a project file.

References d_lines, ArrowMarker::drawEndArrow(), ArrowMarker::drawStartArrow(), ArrowMarker::fillArrowHead(), getPenStyle(), insertMarker(), ArrowMarker::setAttachPolicy(), ArrowMarker::setBoundingRect(), ArrowMarker::setColor(), ArrowMarker::setEndPoint(), ArrowMarker::setHeadAngle(), ArrowMarker::setHeadLength(), ArrowMarker::setStartPoint(), ArrowMarker::setStyle(), and ArrowMarker::setWidth().

bool Graph::addCurves | ( | Table * | w,
|  | const QStringList & | names,
|  | int | style = `0`,
|  | double | lWidth = `1`,
|  | int | sSize = `3`,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addErrorBars(), addLegendItem(), Box, Table::colIndex(), Table::colName(), Table::colPlotDesignation(), Table::colX(), Table::colY(), d_auto_scale, d_zoomer, ErrorBars, Histogram, ErrorBarsCurve::Horizontal, initCurveLayout(), insertCurve(), Table::Label, QwtHistogram::loadData(), CurveLayout::lWidth, ErrorBarsCurve::masterCurve(), masterCurve(), Pie, plotBox(), plotPie(), plotVectors(), ErrorBarsCurve::setColor(), DataCurve::setLabelsColumnName(), CurveLayout::sSize, PlotCurve::type(), updateAxesTitles(), updateCurveLayout(), updateSecondaryAxis(), VectXYAM, VectXYXY, Table::xErr, and Table::yErr.

Referenced by ImageProfilesTool::connectPlotLayers(), dropEvent(), ApplicationWindow::multilayerPlot(), and ApplicationWindow::waterfallPlot().

ErrorBarsCurve * Graph::addErrorBars | ( | const QString & | xColName,
|  | const QString & | yColName,
|  | Table * | errTable,
|  | const QString & | errColName,
|  | int | type = `1`,
|  | double | width = `1`,
|  | int | cap = `8`,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | bool | through = `true`,
|  | bool | minus = `true`,
|  | bool | plus = `true`
| ) |  |

slot

References masterCurve().

Referenced by ErrDialog::add(), addCurves(), addErrorBars(), ApplicationWindow::openGraph(), and PlotWizard::plot2D().

ErrorBarsCurve * Graph::addErrorBars | ( | const QString & | yColName,
|  | Table * | errTable,
|  | const QString & | errColName,
|  | int | type = `1`,
|  | double | width = `1`,
|  | int | cap = `8`,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | bool | through = `true`,
|  | bool | minus = `true`,
|  | bool | plus = `true`
| ) |  |

slot

References addErrorBars(), d_curves, ErrorBars, and Function.

ErrorBarsCurve * Graph::addErrorBars | ( | DataCurve * | c,
|  | Table * | errTable,
|  | const QString & | errColName,
|  | int | type = `1`,
|  | double | width = `1`,
|  | int | cap = `8`,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | bool | through = `true`,
|  | bool | minus = `true`,
|  | bool | plus = `true`
| ) |  |

slot

References ErrorBarsCurve::drawMinusSide(), ErrorBarsCurve::drawPlusSide(), ErrorBarsCurve::drawThroughSymbol(), insertCurve(), ErrorBarsCurve::setCapLength(), ErrorBarsCurve::setColor(), ErrorBarsCurve::setMasterCurve(), ErrorBarsCurve::setWidth(), and updatePlot().

void Graph::addFitCurve | ( | QwtPlotCurve * | c | ) |

slot

References d_fit_curves.

Referenced by MultiPeakFit::generateFitCurve(), Fit::generateFitCurve(), Fit::insertFitFunctionCurve(), and MultiPeakFit::insertPeakFunctionCurve().

FunctionCurve * Graph::addFunction | ( | const QStringList & | formulas,
|  | double | start,
|  | double | end,
|  | int | points = `100`,
|  | const QString & | var = `"x"`,
|  | int | type = `0`,
|  | const QString & | title = `QString::null`
| ) |  |

slot

References addLegendItem(), ColorBox::defaultColor(), generateFunctionName(), guessUniqueCurveLayout(), insertCurve(), FunctionCurve::loadData(), modifiedGraph(), FunctionCurve::setFormulas(), FunctionCurve::setRange(), FunctionCurve::setVariable(), and updatePlot().

Referenced by FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), BaselineDialog::createBaseline(), insertFunctionCurve(), ApplicationWindow::newFunctionPlot(), and Integration::output().

QwtHistogram * Graph::addHistogram | ( | Matrix * | m | ) |

slot

Add a matrix histogram to the graph.

References addLegendItem(), insertCurve(), QwtHistogram::loadData(), and updatePlot().

Referenced by CurvesDialog::addCurveFromMatrix(), and ApplicationWindow::plotHistogram().

ImageWidget * Graph::addImage | ( | ImageWidget * | i | ) |

slot

References FrameWidget::bottom(), d_enrichments, ImageWidget::fileName(), FrameWidget::right(), FrameWidget::setCoordinates(), FrameWidget::xValue(), and FrameWidget::yValue().

Referenced by ApplicationWindow::addImage(), ApplicationWindow::dropEvent(), ApplicationWindow::loadImage(), and ImageWidget::restore().

ImageWidget * Graph::addImage | ( | const QString & | fileName | ) |

slot

References d_enrichments, and modifiedGraph().

ImageWidget * Graph::addImage | ( | const QImage & | image | ) |

slot

References d_enrichments, and modifiedGraph().

void Graph::addLegendItem | ( |  | ) |

References d_curves, d_enrichments, LegendWidget::isAutoUpdateEnabled(), legendText(), LegendWidget::setText(), and LegendWidget::text().

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), addFunction(), addHistogram(), insertCurve(), insertPlotItem(), and plotVectors().

TexWidget * Graph::addTexFormula | ( | const QString & | s,
|  | const QPixmap & | pix
| ) |  |

References d_enrichments, and modifiedGraph().

Referenced by TexWidget::restore().

LegendWidget * Graph::addText | ( | LegendWidget * | t | ) |

slot

References LegendWidget::clone(), d_active_enrichment, and d_enrichments.

LegendWidget * Graph::addTimeStamp | ( |  | ) |

slot

References modifiedGraph(), FrameWidget::move(), newLegend(), and LegendWidget::setAutoUpdate().

Referenced by ApplicationWindow::addTimeStamp().

QStringList Graph::analysableCurvesList | ( |  | ) |

slot

Returns the names of all the curves suitable for data analysis, as a string list. The list excludes error bars and spectrograms.

References d_curves, DataCurve::endRow(), ErrorBars, Function, DataCurve::startRow(), and PlotCurve::type().

Referenced by FitDialog::accept(), ApplicationWindow::addErrorBars(), ApplicationWindow::analysis(), FitDialog::deleteFitCurves(), ExpDecayDialog::fit(), PolynomFitDialog::fit(), IntegrationDialog::integrateCurve(), InterpolationDialog::interpolate(), SubtractDataDialog::setGraph(), SmoothCurveDialog::setGraph(), FilterDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), FFTDialog::setGraph(), IntegrationDialog::setGraph(), FitDialog::setGraph(), ApplicationWindow::showDataSetDialog(), and BaselineDialog::updateGraphCurves().

bool Graph::antialiasing | ( |  | ) |

inline slot

References d_antialiasing.

Referenced by copy(), EllipseWidget::drawFrame(), LegendWidget::drawText(), LegendWidget::drawVector(), PlotDialog::setActiveLayer(), and FitDialog::updatePreview().

bool Graph::arrowMarkerSelected | ( |  | ) |

slot

References d_lines, and d_selected_arrow.

Referenced by ApplicationWindow::copyMarker(), and ApplicationWindow::showMarkerPopupMenu().

QList<ArrowMarker *> Graph::arrowsList | ( |  | ) |

inline slot

References d_lines.

Referenced by copyEnrichments(), CanvasPicker::eventFilter(), and CanvasPicker::selectMarker().

bool Graph::autoscaleFonts | ( |  | ) |

inline slot

References autoScaleFonts.

Referenced by MultiLayer::arrangeLayers(), MultiLayer::copy(), copy(), MultiLayer::resizeLayers(), PlotDialog::setActiveLayer(), and MultiLayer::setEqualSizedLayers().

bool Graph::axesBackbones | ( |  | ) |

inline slot

References drawAxesBackbone.

Referenced by AxesDialog::setGraph().

int Graph::axesLinewidth | ( |  | ) | const

Referenced by copy(), drawBreak(), Grid::enableZeroLineX(), Grid::enableZeroLineY(), saveToString(), setAxesLinewidth(), and AxesDialog::setGraph().

QwtDoubleInterval Graph::axisBoundingInterval | ( | int | axis | ) |

private

Finds bounding interval of the plot data.

Referenced by setScale().

QColor Graph::axisColor | ( | int | axis | ) |

slot

Referenced by copyScaleWidget(), showAxis(), and AxesDialog::updateAxisColor().

void Graph::axisDblClicked | ( | int |  | ) |

signal

Referenced by Graph(), and showScaleDialog().

void Graph::axisDivChanged | ( | Graph * | ,
|  | int |
| ) |  |

signal

Referenced by setScale(), and zoomed().

QString Graph::axisFormatInfo | ( | int | axis | ) |

slot

Referenced by AxesDialog::setAxisType(), and AxesDialog::showAxisFormatOptions().

QString Graph::axisFormula | ( | int | axis | ) |

slot

References ScaleDraw::formula().

Referenced by AxesDialog::showAxisFormula(), and AxesDialog::updateLabelsFormat().

void Graph::axisLabelFormat | ( | int | axis,
|  | char & | f,
|  | int & | prec
| ) |  | const

Returns
  the number format for the major scale labels of a specified axis

Parameters

  axis | axis index

Return values

  f | format character
  prec | precision

References ScaleDraw::labelFormat().

Referenced by copyScaleDraw(), saveLabelsFormat(), AxesDialog::setLabelsNumericFormat(), showAxis(), AxesDialog::showAxisFormatOptions(), and AxesDialog::updateLabelsFormat().

int Graph::axisLabelFormat | ( | int | axis | ) |

References ScaleDraw::labelNumericFormat().

int Graph::axisLabelPrecision | ( | int | axis | ) |

References ScaleDraw::labelNumericPrecision().

Referenced by copyScaleDraw(), saveLabelsFormat(), AxesDialog::setLabelsNumericFormat(), showAxis(), and AxesDialog::updateLabelsFormat().

QColor Graph::axisLabelsColor | ( | int | axis | ) |

slot

Referenced by copyScaleWidget(), showAxis(), and AxesDialog::updateAxisColor().

double Graph::axisStep | ( | int | axis | ) |

inline slot

References d_user_step.

Referenced by copyScaleDraw(), MultiLayer::updateLayerAxes(), and AxesDialog::updateScale().

int Graph::axisTitleAlignment | ( | int | axis | ) |

slot

QColor Graph::axisTitleColor | ( | int | axis | ) |

slot

Referenced by AxesDialog::updateAxisColor().

int Graph::axisTitleDistance | ( | int | axis | ) |

slot

Referenced by AxesDialog::updateTitleBox().

QFont Graph::axisTitleFont | ( | int | axis | ) |

slot

Referenced by AxesDialog::customAxisLabelFont().

AxisTitlePolicy Graph::axisTitlePolicy | ( |  | ) |

inline

References d_axis_title_policy.

Referenced by copy().

QRect Graph::axisTitleRect | ( | const QwtScaleWidget * | scale | ) |

slot

References scalePicker, and ScalePicker::titleRect().

Referenced by TextEditor::TextEditor().

bool Graph::axisTitleSelected | ( |  | ) |

slot

References scalePicker, and ScalePicker::titleSelected().

Referenced by ApplicationWindow::clearSelection().

QString Graph::axisTitleString | ( | int | axis | ) |

slot

References d_axis_titles.

Referenced by copyScaleWidget(), saveScaleTitles(), TextDialog::setGraph(), TextEditor::TextEditor(), AxesDialog::updatePlot(), and AxesDialog::updateTitleBox().

ScaleDraw::ScaleType Graph::axisType | ( | int | axis | ) |

slot

References ScaleDraw::Numeric.

Referenced by ApplicationWindow::openGraph(), AxesDialog::setAxisType(), AxesDialog::updatePlot(), and AxesDialog::updateScale().

QPixmap Graph::backgroundPixmap | ( |  | ) |

inline slot

References d_canvas_bkg_pix.

Referenced by PlotDialog::resizeLayerToFitImage(), and PlotDialog::setActiveLayer().

QRect Graph::boundingRect | ( |  | ) |

References d_enrichments.

Referenced by MultiLayer::canvasChildrenRect(), draw(), exportSVG(), exportTeX(), exportVector(), graphPixmap(), and print().

BoxCurve * Graph::boxCurve | ( | int | index | ) |

slot

References Box, dataCurve(), and PlotCurve::type().

QString Graph::canvasBackgroundFileName | ( |  | ) |

inline slot

References d_canvas_bkg_path.

Referenced by PlotDialog::chooseBackgroundImageFile(), copy(), and PlotDialog::setActiveLayer().

QColor Graph::canvasFrameColor | ( |  | ) |

slot

Referenced by copy(), saveCanvas(), PlotDialog::setActiveLayer(), and AxesDialog::setGraph().

int Graph::canvasFrameWidth | ( |  | ) |

slot

Referenced by copy(), Grid::drawLines(), PlotDialog::setActiveLayer(), and AxesDialog::setGraph().

void Graph::changeCurveIndex | ( | int | fromIndex,
|  | int | toIndex
| ) |  |

References d_curves, and modifiedGraph().

Referenced by CurvesDialog::shiftCurveBy(), and PlotDialog::shiftCurveBy().

void Graph::changeTicksLength | ( | int | minLength,
|  | int | majLength
| ) |  |

slot

References enableAxis(), majorTickLength(), minorTickLength(), modifiedGraph(), and setTicksLength().

Referenced by AxesDialog::applyCanvasFormatTo().

void Graph::clearAxisTitle | ( |  | ) |

slot

References ScalePicker::currentAxis(), scalePicker, and setAxisTitle().

Referenced by showAxisTitleMenu().

void Graph::clearTitle | ( |  | ) |

slot

Sets the title to an "almost empty" string: " ", thus keeping the QwtText object visible.

References modifiedGraph().

Referenced by ApplicationWindow::clearSelection(), and showTitleContextMenu().

void Graph::closedGraph | ( |  | ) |

signal

Referenced by closeEvent().

void Graph::closeEvent | ( | QCloseEvent * | e | ) |

slot

References closedGraph().

QwtPlotItem * Graph::closestCurve | ( | int | xpos,
|  | int | ypos,
|  | int & | dist,
|  | int & | point
| ) |  |

References Spectrogram::boundingRect(), curve(), d_curves, ErrorBars, Function, DataCurve::hasLabels(), Spectrogram::selectedLabels(), DataCurve::selectedLabels(), Spectrogram::selectLabel(), and PlotCurve::type().

Referenced by DataPickerTool::append(), contextMenuEvent(), CanvasPicker::eventFilter(), and RangeSelectorTool::pointSelected().

void Graph::contextMenuEvent | ( | QContextMenuEvent * | e | ) |

slot

References closestCurve(), d_selected_arrow, showContextMenu(), showCurveContextMenu(), and showMarkerPopupMenu().

void Graph::copy | ( | Graph * | g | ) |

slot

References antialiasing(), autoscaleFonts(), autoScaleFonts, axesLinewidth(), axisTitlePolicy(), canvasBackgroundFileName(), canvasFrameColor(), canvasFrameWidth(), Grid::copy(), copyCurves(), copyEnrichments(), copyScaleDraw(), copyScaleWidget(), d_auto_scale, d_disable_curve_antialiasing, d_Douglas_Peuker_tolerance, d_grid_on_top, d_max_antialising_size, d_missing_data_gap, d_synchronize_scales, d_waterfall_offset_x, d_waterfall_offset_y, d_zoomer, enableAxis(), frameColor(), getDouglasPeukerTolerance(), grid(), hasGridOnTop(), hasSynchronizedScaleDivisions(), isAutoscalingEnabled(), isCurveAntialiasingDisabled(), isMissingDataGapEnabled(), labelsRotation(), maxAntialisingSize(), paletteBackgroundColor(), setAntialiasing(), setAxesLinewidth(), setAxisLabelRotation(), setAxisTitlePolicy(), setBackgroundColor(), setCanvasBackgroundImage(), setCanvasFrame(), setFrame(), updateAxesTitles(), updateLayout(), waterfallXOffset(), and waterfallYOffset().

Referenced by MultiLayer::copy(), MultiLayer::dropEvent(), dropEvent(), ApplicationWindow::extractGraphs(), ApplicationWindow::extractLayers(), and ApplicationWindow::pasteSelection().

void Graph::copyAxisTitle | ( |  | ) |

slot

References ScalePicker::currentAxis(), and scalePicker.

Referenced by cutAxisTitle(), and showAxisTitleMenu().

void Graph::copyCurves | ( | Graph * | g | ) |

slot

References Box, Spectrogram::copy(), curvesList(), d_Douglas_Peuker_tolerance, d_fit_curves, d_speed_mode_points, PlotCurve::enableSideLines(), DataCurve::endRow(), ErrorBars, fitCurvesList(), Function, Histogram, HorizontalBars, insertCurve(), masterCurve(), QwtHistogram::matrix(), Pie, Spectrogram::setColorBarWidth(), PlotCurve::setPlotStyle(), Spectrogram::setVisible(), Spectrogram::showColorScale(), PlotCurve::sideLinesEnabled(), DataCurve::startRow(), DataCurve::table(), PlotCurve::type(), VectXYAM, VectXYXY, VerticalBars, DataCurve::xColumnName(), DataCurve::xTable(), VectorCurve::XYAM, and VectorCurve::XYXY.

Referenced by ApplicationWindow::addInsetLayer(), copy(), and ApplicationWindow::zoomRectanglePlot().

void Graph::copyEnrichments | ( | Graph * | g | ) |

slot

References add(), addArrow(), arrowsList(), and enrichmentsList().

Referenced by copy().

void Graph::copyImage | ( |  | ) |

slot

References exportEMF(), and graphPixmap().

Referenced by ApplicationWindow::copyActiveLayer().

void Graph::copyScaleDraw | ( | Graph * | g,
|  | int | i
| ) |  |

slot

References axisLabelFormat(), axisLabelPrecision(), axisStep(), ScaleDraw::Date, ScaleDraw::Day, ScaleDraw::formatString(), ScaleDraw::formula(), ScaleDraw::labelsList(), majorTickLength(), ScaleDraw::majorTicksStyle(), minorTickLength(), ScaleDraw::minorTicksStyle(), ScaleDraw::Month, ScaleDraw::nameFormat(), ScaleDraw::Numeric, ScaleDraw::prefix(), ScaleDraw::scaleType(), setAxisTicksLength(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), setLabelsNumericFormat(), ScaleDraw::setPrefix(), setScale(), ScaleDraw::setShowTicksPolicy(), ScaleDraw::setSuffix(), ScaleDraw::showTicksPolicy(), ScaleDraw::suffix(), and ScaleDraw::Time.

Referenced by copy().

void Graph::copyScaleWidget | ( | Graph * | g,
|  | int | i
| ) |  |

slot

References axisColor(), axisLabelsColor(), axisTitleString(), d_axis_titles, enableAxis(), and setAxisFont().

Referenced by copy().

void Graph::copyTitle | ( |  | ) |

slot

Referenced by showTitleContextMenu().

void Graph::createTable | ( | const QString & | curveName | ) |

slot

Provided for convenience in scripts.

References curve().

Referenced by ApplicationWindow::showCurveWorksheet().

void Graph::createTable | ( | const QwtPlotCurve * | curve | ) |

slot

References MdiSubWindow::applicationWindow(), multiLayer(), ApplicationWindow::newTable(), and Table::setCell().

void Graph::currentColorChanged | ( | const QColor & |  | ) |

signal

Referenced by notifyColorChange(), select(), and selectTitle().

void Graph::currentFontChanged | ( | const QFont & |  | ) |

signal

Referenced by notifyFontChange(), select(), and selectTitle().

QwtScaleWidget * Graph::currentScale | ( |  | ) |

slot

References ScalePicker::currentAxis(), and scalePicker.

Referenced by ApplicationWindow::clearSelection(), and TextDialog::setGraph().

void Graph::cursorInfo | ( | const QString & |  | ) |

signal

PlotCurve * Graph::curve | ( | int | index | ) |

slot

get curve by index

References d_curves.

Referenced by FFTDialog::accept(), FitDialog::accept(), FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), InterpolationDialog::activateCurve(), SmoothCurveDialog::activateCurve(), IntegrationDialog::activateCurve(), PolynomFitDialog::activateCurve(), ExpDecayDialog::activateCurve(), FitDialog::activateCurve(), FFTDialog::activateDataSet(), ApplicationWindow::analysis(), ImageProfilesTool::append(), AssociationsDialog::changePlotAssociation(), RangeSelectorTool::clearMultipleSelection(), closestCurve(), RangeSelectorTool::copyMultipleSelection(), BaselineDialog::createBaseline(), createTable(), dataCurve(), ApplicationWindow::differentiate(), LegendWidget::drawText(), FilterDialog::filter(), ExpDecayDialog::fit(), PolynomFitDialog::fit(), functionCurve(), LegendWidget::getCurve(), guessUniqueCurveLayout(), initCurveLayout(), insertFunctionCurve(), insertText(), IntegrationDialog::integrateCurve(), InterpolationDialog::interpolate(), DataPickerTool::keyEventFilter(), RangeSelectorTool::keyEventFilter(), legendText(), RangeSelectorTool::mightNeedMultipleSelection(), modifyFunctionCurve(), ApplicationWindow::openGraph(), parseAxisTitle(), ApplicationWindow::plotDoubleYAxis(), range(), RangeSelectorTool::RangeSelectorTool(), removeCurve(), CurvesDialog::removeCurves(), removePie(), PieLabel::restore(), restoreCurveLabels(), restoreSymbolImage(), saveCurveLayout(), savePieCurveLayout(), saveToString(), setBarsGap(), setCurveFullRange(), setCurveLineColor(), setCurveLineStyle(), setCurveLineWidth(), CurveRangeDialog::setCurvesToModify(), setCurveStyle(), CurveRangeDialog::setCurveToModify(), FunctionDialog::setCurveToModify(), Filter::setDataFromCurve(), setWaterfallFillColor(), setWaterfallSideLines(), ApplicationWindow::showDataSetDialog(), RangeSelectorTool::showSelectionDialog(), MultiLayer::showWaterfallFillDialog(), SmoothCurveDialog::smooth(), updateVectorsLayout(), and updateWaterfallFill().

PlotCurve* Graph::curve | ( | const QString & | title | ) |

inline slot

get curve by name

References curve(), and curveIndex().

Referenced by curve().

int Graph::curveCount | ( |  | ) |

inline slot

References d_curves.

Referenced by CurveRangeDialog::accept(), FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), CurvesDialog::addCurveFromTable(), CurvesDialog::addCurves(), ApplicationWindow::addErrorBars(), PlotDialog::applyBoxWhiskersFormatToLayer(), PlotDialog::applyGapToLayer(), PlotDialog::applyPercentileFormatToLayer(), ApplicationWindow::changeMatrixName(), BaselineDialog::createBaseline(), ApplicationWindow::extractLayers(), SubtractLineTool::finalize(), ApplicationWindow::hideOtherCurves(), LayerItem::insertCurvesList(), DataPickerTool::keyEventFilter(), RangeSelectorTool::keyEventFilter(), DataCurve::loadData(), RangeSelectorTool::mightNeedMultipleSelection(), ApplicationWindow::multilayerPlot(), RangeSelectorTool::RangeSelectorTool(), PlotDialog::removeSelectedObject(), AssociationsDialog::setGraph(), ApplicationWindow::showAllCurves(), ApplicationWindow::showCursor(), ApplicationWindow::showCurveContextMenu(), CurvesDialog::showCurveRange(), ApplicationWindow::showGraphContextMenu(), ApplicationWindow::showRangeSelectors(), RangeSelectorTool::showSelectionDialog(), QwtBarCurve::stackedCurvesList(), LegendWidget::symbolsMaxWidth(), and MultiLayer::updateLayersLayout().

int Graph::curveIndex | ( | QwtPlotItem * | c | ) |

inline slot

Map curve pointer to index.

References d_curves.

Referenced by ErrDialog::add(), BaselineDialog::createBaseline(), curve(), Filter::curveIndex(), CanvasPicker::eventFilter(), PlotDialog::insertTabs(), SubtractDataDialog::interpolate(), DataPickerTool::keyEventFilter(), RangeSelectorTool::keyEventFilter(), DataCurve::loadData(), removeCurve(), FunctionCurve::restore(), saveCurves(), FunctionDialog::setCurveToModify(), ApplicationWindow::showCurveContextMenu(), QwtBarCurve::stackedCurvesList(), BaselineDialog::subtractBaseline(), and updateCurveLayout().

int Graph::curveIndex | ( | const QString & | title | ) |

inline slot

map curve title to index

References plotItemsList().

QStringList Graph::curveNamesList | ( |  | ) |

slot

Returns the names of all the QwtPlotCurve items on the plot, as a string list.

References d_curves.

Referenced by ApplicationWindow::dependingPlots(), MultiPeakFit::insertPeakFunctionCurve(), and ApplicationWindow::multilayerDependencies().

QString Graph::curveRange | ( | QwtPlotCurve * | c | ) |

slot

returns the curve range information as a string: "curve_name [start:end]"

References DataCurve::endRow(), ErrorBars, Function, DataCurve::startRow(), and PlotCurve::type().

Referenced by FitDialog::changeDataRange(), SubtractDataDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), IntegrationDialog::setGraph(), and FitDialog::setGraph().

QList<QwtPlotItem *> Graph::curvesList | ( |  | ) |

inline

References d_curves.

Referenced by PlotDialog::applyErrorBarFormatToLayer(), PlotDialog::applyLabelsFormatToLayer(), PlotDialog::applyLineFormatToLayer(), PlotDialog::applySymbolsFormatToLayer(), copyCurves(), deselectCurves(), CurveTreeItem::plotItemIndex(), ApplicationWindow::remove3DMatrixPlots(), scaleFonts(), selectedCurveLabels(), setCurrentColor(), setCurrentFont(), PlotDialog::setLabelsFontToLayer(), MultiLayer::showWaterfallFillDialog(), MultiLayer::showWaterfallOffsetDialog(), MultiLayer::sizeToString(), updateCurveLabels(), ApplicationWindow::updateMatrixPlots(), and AxesDialog::updateMinorTicksList().

QString Graph::curveTitle | ( | int | index | ) |

slot

get curve title string by inde (convenience function for scripts)

References plotItem().

QSize Graph::customPrintSize | ( | const QSizeF & | customSize,
|  | int | unit,
|  | int | dpi
| ) |  |

static slot

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by MultiLayer::draw(), ImageExportDialog::drawPreview(), ImageExportDialog::drawVectorPreview(), MultiLayer::exportImage(), exportImage(), MultiLayer::exportSVG(), exportSVG(), MultiLayer::exportTeX(), exportTeX(), MultiLayer::exportVector(), Graph3D::exportVector(), exportVector(), and Graph3D::pixmap().

void Graph::cutAxisTitle | ( |  | ) |

slot

References copyAxisTitle(), and removeAxisTitle().

Referenced by showAxisTitleMenu().

void Graph::cutTitle | ( |  | ) |

slot

References removeTitle().

Referenced by showTitleContextMenu().

DataCurve * Graph::dataCurve | ( | int | index | ) |

slot

References curve(), Function, and PlotCurve::type().

Referenced by CurveRangeDialog::accept(), ErrDialog::add(), PlotDialog::applyBoxWhiskersFormatToLayer(), PlotDialog::applyGapToLayer(), PlotDialog::applyPercentileFormatToLayer(), boxCurve(), BaselineDialog::createBaseline(), SubtractLineTool::finalize(), SubtractDataDialog::interpolate(), DataCurve::loadData(), loadErrorBars(), ApplicationWindow::openGraph(), parseAxisTitle(), BaselineDialog::setGraph(), QwtBarCurve::stackedCurvesList(), BaselineDialog::subtractBaseline(), and updateDataCurves().

void Graph::dataRangeChanged | ( |  | ) |

signal

Referenced by enableRangeSelectors().

void Graph::deleteFitCurves | ( |  | ) |

slot

References d_fit_curves, and removeCurve().

void Graph::deselect | ( |  | ) |

References ScalePicker::deselect(), MultiLayer::deselect(), deselectCurves(), deselectMarker(), multiLayer(), scalePicker, TitlePicker::setSelected(), and titlePicker.

Referenced by deselectMarker(), CanvasPicker::eventFilter(), MultiLayer::eventFilter(), MultiLayer::keyPressEvent(), print(), Spectrogram::selectLabel(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), selectTitle(), MultiLayer::setActiveLayer(), and LegendWidget::showTextEditor().

void Graph::deselect | ( | QWidget * | l | ) |

References d_markers_selector.

void Graph::deselectCurves | ( |  | ) |

private

References curvesList(), and Function.

Referenced by deselect(), and select().

void Graph::deselectMarker | ( |  | ) |

slot

Reset any selection states on markers.

References cp, d_active_enrichment, d_lines, d_markers_selector, d_selected_arrow, deselect(), CanvasPicker::disableEditing(), enableTextEditor(), and ArrowMarker::setEditable().

Referenced by MultiLayer::copyAllLayers(), deselect(), Graph(), LineProfileTool::LineProfileTool(), FrameWidget::mousePressEvent(), ApplicationWindow::pasteSelection(), CanvasPicker::selectMarker(), DataCurve::setLabelsSelected(), EnrichmentDialog::setWidget(), and ApplicationWindow::showLineDialog().

void Graph::disableCurveAntialiasing | ( | bool | disable,
|  | int | maxPoints
| ) |  |

slot

References d_antialiasing, d_curves, d_disable_curve_antialiasing, d_max_antialising_size, and isCurveAntialiasingEnabled().

Referenced by ConfigDialog::apply(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

void Graph::disableImageProfilesTool | ( |  | ) |

slot

References d_image_profiles_tool.

Referenced by ~Graph().

void Graph::disableTools | ( |  | ) |

slot

References d_active_tool, d_peak_fit_tool, d_range_selector, drawLine(), drawLineActive(), enablePanningMagnifier(), zoom(), and zoomOn().

Referenced by AddWidgetTool::AddWidgetTool(), BaselineDialog::closeEvent(), ApplicationWindow::disableTools(), ApplicationWindow::pickDataTool(), and removeCurve().

void Graph::dragEnterEvent | ( | QDragEnterEvent * | e | ) |

private

References multiLayer().

void Graph::draw | ( | QPaintDevice * | device,
|  | const QSize & | size,
|  | double | fontsFactor = `1.0`
| ) |  |

slot

References boundingRect(), and print().

Referenced by ImageExportDialog::drawPreview(), exportSVG(), and exportTeX().

bool Graph::drawArrow | ( |  | ) |

inline slot

References drawArrowOn.

Referenced by ApplicationWindow::custom2DPlotTools(), and CanvasPicker::eventFilter().

void Graph::drawAxesBackbones | ( | bool | yes | ) |

slot

References drawAxesBackbone, and modifiedGraph().

Referenced by AxesDialog::applyCanvasFormatTo(), ApplicationWindow::setPreferences(), and ApplicationWindow::zoomRectanglePlot().

void Graph::drawBreak | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QwtScaleMap & | map,
|  | int | axis
| ) |  | const

private

References axesLinewidth(), ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), d_maj_tick_length, ScaleEngine::hasBreak(), and ScaleEngine::hasBreakDecoration().

Referenced by drawItems().

void Graph::drawInwardTicks | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QwtScaleMap & | map,
|  | int | axis,
|  | bool | min,
|  | bool | maj
| ) |  | const

private

References ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), d_maj_tick_length, d_min_tick_length, and ScaleEngine::hasBreak().

Referenced by drawItems().

void Graph::drawItems | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QwtScaleMap | map[axisCnt],
|  | const QwtPlotPrintFilter & | pfilter
| ) |  | const

private virtual

References ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), ScaleDraw::Both, d_canvas_bkg_pix, d_is_printing, drawBreak(), drawInwardTicks(), ScaleEngine::hasBreak(), ScaleDraw::In, ScaleDraw::majorTicksStyle(), min, and ScaleDraw::minorTicksStyle().

Referenced by printCanvas().

void Graph::drawLine | ( | bool | on,
|  | bool | arrow = `false`
| ) |  |

slot

Draws a line/arrow depending on the value of "arrow".

References drawArrowOn, drawLineEnded(), and drawLineOn.

Referenced by disableTools(), ApplicationWindow::drawArrow(), ApplicationWindow::drawLine(), and CanvasPicker::eventFilter().

bool Graph::drawLineActive | ( |  | ) |

inline slot

References drawLineOn.

Referenced by ApplicationWindow::custom2DPlotTools(), disableTools(), CanvasPicker::eventFilter(), and hasActiveTool().

void Graph::drawLineEnded | ( | bool |  | ) |

signal

Referenced by drawLine().

void Graph::dropEvent | ( | QDropEvent * | event | ) |

private

References addCurves(), MultiLayer::addLayer(), MdiSubWindow::applicationWindow(), MultiLayer::canvas(), ColorMap, copy(), ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultCurveStyle, ApplicationWindow::defaultSymbolSize, multiLayer(), plotSpectrogram(), and Table::text().

void Graph::enableAutoscaling | ( | bool | on = `true` | ) |

inline slot

References d_auto_scale.

Referenced by ImageProfilesTool::append(), PlotDialog::applyFormatToLayer(), ApplicationWindow::newFunctionPlot(), ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), ApplicationWindow::setGraphDefaultSettings(), and ApplicationWindow::setPreferences().

void Graph::enableAxis | ( | int | axis,
|  | bool | on = `true`
| ) |  |

slot

References ScalePicker::refresh(), and scalePicker.

Referenced by PlotDialog::acceptParams(), ApplicationWindow::addInsetLayer(), changeTicksLength(), copy(), copyScaleWidget(), hideSelectedAxis(), ApplicationWindow::loadImage(), ApplicationWindow::openGraph(), FFT::outputGraphs(), ApplicationWindow::plotDoubleYAxis(), ApplicationWindow::plotImage(), plotPie(), MultiLayer::plotProfiles(), ApplicationWindow::setPreferences(), showAxis(), Spectrogram::showColorScale(), and ApplicationWindow::waterfallPlot().

void Graph::enableAxisLabels | ( | int | axis,
|  | bool | on = `true`
| ) |  |

slot

Referenced by ApplicationWindow::openGraph(), and MultiLayer::plotProfiles().

void Graph::enableDouglasPeukerSpeedMode | ( | double | tolerance,
|  | int | maxPoints = `3000`
| ) |  |

References d_curves, d_Douglas_Peuker_tolerance, d_speed_mode_points, Function, and PlotCurve::type().

Referenced by PlotDialog::acceptParams(), and ApplicationWindow::openGraph().

void Graph::enablePanningMagnifier | ( | bool | on = `true`,
|  | int | mode = `0`
| ) |  |

References Spectrogram::colorScaleAxis(), d_curves, d_magnifier, d_panner, multiLayer(), notifyChanges(), and updateMarkersBoundingRect().

Referenced by disableTools(), and ApplicationWindow::magnify().

bool Graph::enableRangeSelectors | ( | const QObject * | status_target = `NULL`,
|  | const char * | status_slot = `""`
| ) |  |

slot

Enables the data range selector tool.

This one is a bit special, because other tools can depend upon an existing selection. Therefore, range selection (like zooming) has to be provided in addition to the generic tool interface.

References d_range_selector, and dataRangeChanged().

Referenced by ApplicationWindow::showRangeSelectors().

void Graph::enableTextEditor | ( |  | ) |

slot

References MdiSubWindow::applicationWindow(), ApplicationWindow::d_in_place_editing, multiLayer(), TitlePicker::selected(), showAxisTitleDialog(), titlePicker, and viewTitleDialog().

Referenced by deselectMarker(), and Graph().

void Graph::enableTextEditor | ( | Graph * |  | ) |

signal

QList<FrameWidget *> Graph::enrichmentsList | ( |  | ) |

inline

References d_enrichments.

Referenced by copyEnrichments(), EnrichmentDialog::frameApplyTo(), LayerItem::insertEnrichmentsList(), EnrichmentDialog::patternApplyTo(), raiseEnrichements(), PlotDialog::removeSelectedObject(), Filter::showLegend(), and EnrichmentDialog::textFormatApplyTo().

void Graph::exportEMF | ( | const QString & | fname,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

slot

References MdiSubWindow::applicationWindow(), ImportExportPlugin::exportGraph(), ApplicationWindow::exportPlugin(), and multiLayer().

Referenced by copyImage(), ApplicationWindow::exportLayer(), and exportToFile().

void Graph::exportImage | ( | const QString & | fileName,
|  | int | quality = `100`,
|  | bool | transparent = `false`,
|  | int | dpi = `0`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`,
|  | int | compression = `0`
| ) |  |

slot

References customPrintSize(), graphPixmap(), MultiLayer::layerIndex(), and multiLayer().

Referenced by ApplicationWindow::exportLayer(), and exportToFile().

void Graph::exportSVG | ( | const QString & | fname,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

slot

References boundingRect(), customPrintSize(), and draw().

Referenced by ApplicationWindow::exportLayer(), and exportToFile().

void Graph::exportTeX | ( | const QString & | fname,
|  | bool | color = `true`,
|  | bool | escapeStrings = `true`,
|  | bool | fontSizes = `true`,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

slot

References boundingRect(), customPrintSize(), and draw().

Referenced by ApplicationWindow::exportLayer(), and exportToFile().

void Graph::exportToFile | ( | const QString & | fileName | ) |

slot

Provided for convenience in scripts.

References exportEMF(), exportImage(), exportSVG(), exportTeX(), and exportVector().

void Graph::exportVector | ( | const QString & | fileName,
|  | int | res = `0`,
|  | bool | color = `true`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

slot

Referenced by ImageExportDialog::drawVectorPreview(), ApplicationWindow::exportLayer(), and exportToFile().

void Graph::exportVector | ( | QPrinter * | printer,
|  | int | res = `0`,
|  | bool | color = `true`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

slot

References boundingRect(), customPrintSize(), multiLayer(), and print().

QList<QwtPlotCurve *> Graph::fitCurvesList | ( |  | ) |

inline slot

References d_fit_curves.

Referenced by copyCurves(), and ApplicationWindow::deleteFitTables().

bool Graph::focusNextPrevChild | ( | bool | next | ) |

slot

QColor Graph::frameColor | ( |  | ) |

Referenced by copy(), saveToString(), PlotDialog::setActiveLayer(), and setFrame().

FunctionCurve * Graph::functionCurve | ( | int | index | ) |

slot

References curve(), Function, and PlotCurve::type().

QString Graph::generateFunctionName | ( | const QString & | name = `tr("F")` | ) |

slot

Returns an unique function name.

References d_curves, Function, and PlotCurve::type().

Referenced by addFunction(), and Fit::insertFitFunctionCurve().

double Graph::getDouglasPeukerTolerance | ( |  | ) |

inline

References d_Douglas_Peuker_tolerance.

Referenced by copy(), DataCurve::enableSpeedMode(), and PlotDialog::setActiveLayer().

QList< int > Graph::getMajorTicksType | ( |  | ) |

References ScaleDraw::majorTicksStyle(), and ScaleDraw::Out.

Referenced by saveTicksType(), setMajorTicksType(), setTicksLength(), AxesDialog::setTicksType(), and showAxis().

QList< int > Graph::getMinorTicksType | ( |  | ) |

References ScaleDraw::minorTicksStyle(), and ScaleDraw::Out.

Referenced by saveTicksType(), setMinorTicksType(), setTicksLength(), AxesDialog::setTicksType(), and showAxis().

Qt::PenStyle Graph::getPenStyle | ( | const QString & | s | ) |

static slot

Referenced by addArrow(), Grid::load(), ApplicationWindow::openGraph(), ApplicationWindow::readSettings(), PlotCurve::restoreCurveLayout(), restoreSpectrogram(), ApplicationWindow::setDefaultOptions(), and updateCurveLayout().

Qt::PenStyle Graph::getPenStyle | ( | int | style | ) |

static slot

QPixmap Graph::graphPixmap | ( | const QSize & | size = `QSize()`,
|  | double | scaleFontsFactor = `1.0`,
|  | bool | transparent = `false`
| ) |  |

slot

References boundingRect(), and print().

Referenced by copyImage(), and exportImage().

Grid* Graph::grid | ( |  | ) |

inline

References d_grid.

Referenced by copy(), DataCurve::loadData(), ApplicationWindow::openGraph(), saveToString(), ApplicationWindow::setPreferences(), showAxisContextMenu(), AxesDialog::showGridOptions(), and AxesDialog::updateGrid().

void Graph::guessUniqueCurveLayout | ( | int & | colorIndex,
|  | int & | symbolIndex
| ) |  |

slot

Tries to guess not already used curve color and symbol style.

References MdiSubWindow::applicationWindow(), curve(), d_curves, ColorBox::defaultColors(), SymbolBox::defaultSymbols(), ErrorBars, ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), ErrorBarsCurve::masterCurve(), multiLayer(), and PlotCurve::type().

Referenced by CurvesDialog::addCurveFromTable(), addFunction(), and initCurveLayout().

bool Graph::hasActiveTool | ( |  | ) |

Returns true if a plot/data tool is enabled.

References d_active_tool, d_magnifier, d_panner, d_peak_fit_tool, d_range_selector, drawLineActive(), and zoomOn().

Referenced by Spectrogram::selectedLabels().

bool Graph::hasGridOnTop | ( |  | ) |

inline slot

References d_grid_on_top.

Referenced by copy(), and PlotDialog::setActiveLayer().

bool Graph::hasPanningMagnifierEnabled | ( |  | ) |

inline

References d_magnifier, and d_panner.

Referenced by ApplicationWindow::custom2DPlotTools(), and CanvasPicker::eventFilter().

bool Graph::hasSeletedItems | ( |  | ) |

References d_markers_selector, scalePicker, TitlePicker::selected(), ScalePicker::selectedAxis(), and titlePicker.

Referenced by MultiLayer::eventFilter().

bool Graph::hasSynchronizedScaleDivisions | ( |  | ) |

inline

References d_synchronize_scales.

Referenced by copy(), and AxesDialog::updatePlot().

void Graph::hiddenPlot | ( | QWidget * |  | ) |

signal

void Graph::hideSelectedAxis | ( |  | ) |

slot

References ScalePicker::currentAxis(), enableAxis(), modifiedGraph(), ScalePicker::refresh(), and scalePicker.

Referenced by showAxisContextMenu().

bool Graph::imageMarkerSelected | ( |  | ) |

slot

References d_active_enrichment.

Referenced by ApplicationWindow::showMarkerPopupMenu().

QPointer<ImageProfilesTool> Graph::imageProfilesTool | ( |  | ) |

inline slot

References d_image_profiles_tool.

Referenced by MultiLayer::copy(), and ApplicationWindow::openGraph().

QList< FrameWidget * > Graph::increasingAreaEnrichmentsList | ( |  | ) |

References areaLessThan(), and d_enrichments.

Referenced by CanvasPicker::eventFilter(), and SelectionMoveResizer::mousePressEvent().

CurveLayout Graph::initCurveLayout | ( | int | style,
|  | int | curves = `0`,
|  | bool | guessLayout = `true`
| ) |  |

slot

References CurveLayout::aCol, MdiSubWindow::applicationWindow(), Area, CurveLayout::aStyle, CurveLayout::connectType, curve(), ApplicationWindow::d_curve_line_style, d_curves, ApplicationWindow::d_fill_symbols, ApplicationWindow::d_indexed_symbols, ApplicationWindow::d_symbol_style, ColorBox::defaultColors(), ApplicationWindow::defaultCurveAlpha, ApplicationWindow::defaultCurveBrush, ApplicationWindow::defaultSymbolEdge, CurveLayout::fillCol, CurveLayout::filledArea, guessUniqueCurveLayout(), Histogram, HorizontalBars, HorizontalSteps, ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), initCurveLayout(), CurveLayout::lCol, Line, CurveLayout::lStyle, multiLayer(), CurveLayout::penWidth, Scatter, QwtBarCurve::setGap(), QwtBarCurve::setOffset(), Spline, StackBar, StackColumn, CurveLayout::sType, CurveLayout::symCol, PlotCurve::type(), VerticalBars, VerticalDropLines, and VerticalSteps.

Referenced by PlotWizard::plot2D().

CurveLayout Graph::initCurveLayout | ( |  | ) |

static slot

References CurveLayout::aCol, CurveLayout::aStyle, CurveLayout::connectType, CurveLayout::fillCol, CurveLayout::filledArea, CurveLayout::lCol, CurveLayout::lStyle, CurveLayout::lWidth, CurveLayout::penWidth, CurveLayout::sSize, CurveLayout::sType, and CurveLayout::symCol.

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), initCurveLayout(), and insertCurve().

void Graph::initFonts | ( | const QFont & | scaleTitleFnt,
|  | const QFont & | numbersFnt
| ) |  |

slot

References setAxisFont().

Referenced by ApplicationWindow::setPreferences().

void Graph::initTitle | ( | bool | on,
|  | const QFont & | fnt
| ) |  |

slot

Referenced by ApplicationWindow::setPreferences().

DataCurve * Graph::insertCurve | ( | Table * | w,
|  | const QString & | name,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References Table::colIndex(), Table::colName(), Table::colX(), and modifiedGraph().

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), addErrorBars(), addFunction(), addHistogram(), ImageProfilesTool::connectPlotLayers(), copyCurves(), BaselineDialog::createBaseline(), insertCurve(), insertPlotItem(), BaselineDialog::modifyBaseline(), openBoxDiagram(), ApplicationWindow::openGraph(), Differentiation::output(), FFT::outputGraphs(), PlotWizard::plot2D(), plotBox(), plotPie(), plotSpectrogram(), plotVectors(), FunctionCurve::restore(), restoreHistogram(), and restoreSpectrogram().

DataCurve * Graph::insertCurve | ( | Table * | w,
|  | int | xcol,
|  | const QString & | name,
|  | int | style
| ) |  |

slot

References Table::colIndex(), Table::colName(), and insertCurve().

DataCurve * Graph::insertCurve | ( | Table * | w,
|  | const QString & | xColName,
|  | const QString & | yColName,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addLegendItem(), Table::colIndex(), Table::columnFormat(), Table::columnType(), ScaleDraw::Date, Table::Date, DataCurve::enableSpeedMode(), Histogram, QwtBarCurve::Horizontal, HorizontalBars, initCurveLayout(), insertCurve(), DataCurve::loadData(), Table::numRows(), ScaleDraw::scaleType(), setLabelsDateTimeFormat(), PlotCurve::setPlotStyle(), StackBar, StackColumn, Table::text(), ScaleDraw::Time, Table::Time, updateCurveLayout(), QwtBarCurve::Vertical, and VerticalBars.

DataCurve * Graph::insertCurve | ( | Table * | xt,
|  | const QString & | xColName,
|  | Table * | yt,
|  | const QString & | yColName,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addLegendItem(), Table::colIndex(), Table::columnFormat(), Table::columnType(), ScaleDraw::Date, Table::Date, DataCurve::enableSpeedMode(), HorizontalBars, initCurveLayout(), insertCurve(), DataCurve::loadData(), Table::numRows(), ScaleDraw::scaleType(), setLabelsDateTimeFormat(), PlotCurve::setPlotStyle(), Table::text(), ScaleDraw::Time, Table::Time, and updateCurveLayout().

void Graph::insertCurve | ( | QwtPlotItem * | c | ) |

slot

References d_antialiasing, and d_curves.

FunctionCurve * Graph::insertFunctionCurve | ( | const QString & | formula,
|  | int | points,
|  | int | fileVersion
| ) |  |

slot

Used when reading from a project file with version < 0.9.5.

References addFunction(), curve(), FunctionCurve::Normal, FunctionCurve::Parametric, and FunctionCurve::Polar.

Referenced by ApplicationWindow::openGraph().

void Graph::insertImageMarker | ( | const QStringList & | lst,
|  | int | fileVersion
| ) |  |

slot

References d_enrichments, and FrameWidget::setOrigin().

Referenced by ApplicationWindow::openGraph().

void Graph::insertLegend | ( | const QStringList & | lst,
|  | int | fileVersion
| ) |  |

slot

References insertText(), and LegendWidget::setAutoUpdate().

Referenced by ApplicationWindow::openGraph().

void Graph::insertMarker | ( | QwtPlotMarker * | m | ) |

References d_antialiasing.

Referenced by addArrow(), Grid::enableZeroLineX(), Grid::enableZeroLineY(), and MultiPeakFitTool::selectPeak().

void Graph::insertPlotItem | ( | QwtPlotItem * | i,
|  | int | type
| ) |  |

slot

References addLegendItem(), and insertCurve().

Referenced by Correlation::addResultCurve(), Convolution::addResultCurve(), Filter::addResultCurve(), DrawPointTool::appendPoint(), MultiPeakFit::generateFitCurve(), Fit::insertFitFunctionCurve(), MultiPeakFit::insertPeakFunctionCurve(), Fit::showConfidenceLimits(), Fit::showPredictionLimits(), and Fit::showResiduals().

LegendWidget * Graph::insertText | ( | const QStringList & | list,
|  | int | fileVersion
| ) |  |

slot

Used when opening a project file.

References PieCurve::addLabel(), curve(), d_active_enrichment, d_enrichments, FrameWidget::move(), LegendWidget::setAngle(), FrameWidget::setBackgroundColor(), LegendWidget::setFont(), FrameWidget::setFrameStyle(), FrameWidget::setOriginCoord(), LegendWidget::setText(), LegendWidget::setTextColor(), and updateLayout().

Referenced by insertLegend(), and ApplicationWindow::openGraph().

void Graph::invertScale | ( | int | axis | ) |

slot

Set axis scale.

bool Graph::isAutoscalingEnabled | ( |  | ) |

inline slot

References d_auto_scale.

Referenced by PlotDialog::acceptParams(), copy(), and PlotDialog::setActiveLayer().

bool Graph::isCurveAntialiasingDisabled | ( |  | ) |

inline slot

References d_disable_curve_antialiasing.

Referenced by copy().

bool Graph::isCurveAntialiasingEnabled | ( | QwtPlotItem * | it | ) |

slot

References d_antialiasing, d_disable_curve_antialiasing, and d_max_antialising_size.

Referenced by disableCurveAntialiasing(), DataCurve::loadData(), and setAntialiasing().

bool Graph::isMissingDataGapEnabled | ( |  | ) |

inline slot

References d_missing_data_gap.

Referenced by copy(), DataCurve::drawCurve(), and PlotDialog::setActiveLayer().

bool Graph::isPiePlot | ( |  | ) |

slot

Returns true if this Graph is a pie plot, false otherwise.

References d_curves, and Pie.

Referenced by ApplicationWindow::addErrorBars(), CanvasPicker::eventFilter(), ApplicationWindow::fitMultiPeak(), ApplicationWindow::movePoints(), newLegend(), ApplicationWindow::removePoints(), saveCurves(), setGrayScale(), ApplicationWindow::setPreferences(), ApplicationWindow::showCursor(), ApplicationWindow::showCurvesDialog(), ApplicationWindow::showGraphContextMenu(), ApplicationWindow::showRangeSelectors(), ApplicationWindow::showScaleDialog(), ApplicationWindow::subtractStraightLine(), ApplicationWindow::translateCurve(), AxesDialog::updateGrid(), ApplicationWindow::zoomIn(), and ApplicationWindow::zoomOut().

bool Graph::isPrinting | ( |  | ) |

inline

References d_is_printing.

Referenced by ScaleDraw::draw(), ScaleDraw::drawBackbone(), ScaleDraw::drawBreak(), and ScaleDraw::drawTick().

bool Graph::isWaterfallPlot | ( |  | ) |

inline slot

References d_waterfall_offset_x, and d_waterfall_offset_y.

Referenced by DataCurve::loadData(), ApplicationWindow::pasteSelection(), saveToString(), and MultiLayer::updateWaterfalls().

int Graph::labelsRotation | ( | int | axis | ) |

slot

Referenced by copy(), saveLabelsRotation(), showAxis(), and AxesDialog::updateShowBox().

LegendWidget * Graph::legend | ( |  | ) |

slot

References d_enrichments, and LegendWidget::isAutoUpdateEnabled().

Referenced by CurvesDialog::addCurves(), removeLegend(), and setLegend().

QString Graph::legendText | ( | bool | layerSpec = `false`,
|  | int | fromIndex = `0`
| ) |  |

slot

Creates a new legend text using the curves titles.

References MdiSubWindow::applicationWindow(), ColumnComment, ColumnName, curve(), d_curves, ApplicationWindow::d_graph_legend_display, DataSetName, ErrorBars, Function, MultiLayer::layerIndex(), multiLayer(), TableLegend, TableName, and PlotCurve::type().

Referenced by CurvesDialog::addCurves(), addLegendItem(), newLegend(), and plotBox().

void Graph::loadAxesLinewidth | ( | int | width | ) |

slot

used when opening a project file

References setAxesLinewidth().

Referenced by ApplicationWindow::openGraph().

void Graph::loadAxesOptions | ( | const QStringList & | lst | ) |

slot

used when opening a project file

References drawAxesBackbone.

Referenced by ApplicationWindow::openGraph().

void Graph::loadErrorBars | ( | QList< ErrorBarsCurve * > | errBars,
|  | QList< int > | mcIndexes
| ) |  |

slot

Used when restoring project files.

References dataCurve(), and ErrorBarsCurve::setMasterCurve().

Referenced by ApplicationWindow::openGraph().

QwtPlotMagnifier* Graph::magnifyTool | ( |  | ) |

inline

References d_magnifier.

Referenced by ApplicationWindow::custom2DPlotTools().

int Graph::majorTickLength | ( |  | ) | const

References d_maj_tick_length.

Referenced by changeTicksLength(), copyScaleDraw(), ScaleDraw::draw(), ScaleDraw::drawBreak(), saveToString(), AxesDialog::setGraph(), setMajorTicksType(), and showAxis().

bool Graph::markerSelected | ( |  | ) |

slot

References d_active_enrichment, and d_selected_arrow.

Referenced by ApplicationWindow::copyMarker(), and ApplicationWindow::copySelection().

DataCurve * Graph::masterCurve | ( | ErrorBarsCurve * | er | ) |

slot

Returns a valid master curve for the error bars curve.

References d_curves, DataCurve::endRow(), Function, ErrorBarsCurve::masterCurve(), DataCurve::plotAssociation(), and DataCurve::startRow().

Referenced by addCurves(), addErrorBars(), AssociationsDialog::changePlotAssociation(), copyCurves(), and ApplicationWindow::openGraph().

DataCurve * Graph::masterCurve | ( | const QString & | xColName,
|  | const QString & | yColName
| ) |  |

slot

Returns a valid master curve for a plot association.

References d_curves, and Function.

int Graph::maxAntialisingSize | ( |  | ) |

inline slot

References d_max_antialising_size.

Referenced by copy().

int Graph::minorTickLength | ( |  | ) | const

References d_min_tick_length.

Referenced by changeTicksLength(), copyScaleDraw(), ScaleDraw::draw(), saveToString(), AxesDialog::setGraph(), setMajorTicksType(), and showAxis().

void Graph::modifiedGraph | ( |  | ) |

signal

Referenced by addFunction(), addImage(), addTexFormula(), addTimeStamp(), changeCurveIndex(), changeTicksLength(), clearTitle(), drawAxesBackbones(), Graph(), hideSelectedAxis(), insertCurve(), modifyFunctionCurve(), newLegend(), notifyChanges(), remove(), removeCurve(), removePie(), removeTitle(), reverseCurveOrder(), select(), setAutoScale(), setAxesLinewidth(), setAxisFont(), setAxisTitle(), setAxisTitleFont(), setBackgroundColor(), setCanvasFrame(), setCurrentColor(), setCurrentFont(), setCurveFullRange(), setCurveLineColor(), setCurveLineStyle(), setCurveLineWidth(), setGrayScale(), setGridOnTop(), setIndexedColors(), setRightAxisTitle(), setSelectedArrow(), setTitleAlignment(), setTitleColor(), setTitleFont(), setTopAxisTitle(), setWaterfallFillColor(), setWaterfallOffset(), setWaterfallSideLines(), setWaterfallXOffset(), setWaterfallYOffset(), setXAxisTitle(), setYAxisTitle(), showAxis(), showCurve(), showGrid(), showMissingDataGap(), updateErrorBars(), updateVectorsLayout(), updateWaterfallFill(), and zoomed().

void Graph::modifyFunctionCurve | ( | int | curve,
|  | int | type,
|  | const QStringList & | formulas,
|  | const QString & | var,
|  | double | start,
|  | double | end,
|  | int | points,
|  | const QMap< QString, double > & | constants
| ) |  |

slot

References FunctionCurve::constants(), curve(), d_enrichments, FunctionCurve::endRange(), FunctionCurve::formulas(), FunctionCurve::functionType(), LegendWidget::isAutoUpdateEnabled(), FunctionCurve::legend(), FunctionCurve::loadData(), modifiedGraph(), FunctionCurve::setConstants(), FunctionCurve::setFormulas(), FunctionCurve::setFunctionType(), FunctionCurve::setRange(), LegendWidget::setText(), FunctionCurve::setVariable(), FunctionCurve::startRange(), LegendWidget::text(), updatePlot(), and FunctionCurve::variable().

Referenced by FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), and FunctionDialog::acceptPolar().

bool Graph::mousePressed | ( | QEvent * | e | ) |

slot

References scalePicker, ScalePicker::scaleRect(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), and stackingOrderEnrichmentsList().

Referenced by MultiLayer::eventFilter(), and MultiLayer::selectLayerCanvas().

MultiLayer * Graph::multiLayer | ( |  | ) | const

Returns a pointer to the parent MultiLayer object.

Referenced by AddWidgetTool::addEquation(), AddWidgetTool::addText(), AddWidgetTool::AddWidgetTool(), ScreenPickerTool::append(), ImageProfilesTool::append(), LineDialog::apply(), TextDialog::apply(), AxesDialog::applyAxisFormat(), PlotDialog::applyBoxWhiskersFormat(), AxesDialog::applyCanvasFormat(), PlotDialog::applyErrorBarFormat(), PlotDialog::applyLabelsFormat(), PlotDialog::applyLineFormat(), PlotDialog::applyPercentileFormat(), PlotDialog::applySymbolsFormat(), FrameWidget::calculateBottomValue(), FrameWidget::calculateRightValue(), FrameWidget::calculateXValue(), FrameWidget::calculateYValue(), ImageProfilesTool::clone(), TextEditor::closeEvent(), ImageProfilesTool::connectPlotLayers(), RangeSelectorTool::copyMultipleSelection(), RangeSelectorTool::copySelectedCurve(), EnrichmentDialog::createImage(), createTable(), deselect(), ArrowMarker::displayInfo(), MultiLayer::dragEnterEvent(), dragEnterEvent(), MultiLayer::dropEvent(), dropEvent(), RangeSelectorTool::emitStatusText(), enablePanningMagnifier(), enableTextEditor(), CanvasPicker::eventFilter(), AddWidgetTool::eventFilter(), exportEMF(), exportImage(), exportVector(), EnrichmentDialog::frameApplyTo(), FrameWidget::FrameWidget(), LegendWidget::getCurve(), guessUniqueCurveLayout(), ImageProfilesTool::ImageProfilesTool(), initCurveLayout(), PieCurve::initLabels(), DataPickerTool::keyEventFilter(), ScaleDraw::labelString(), legendText(), PieCurve::loadData(), Fit::logFitInfo(), Integration::logInfo(), ImageProfilesTool::modifiedMatrix(), newLegend(), FFT::outputGraphs(), ImageWidget::paintEvent(), LegendWidget::parse(), RangeSelectorTool::pasteSelection(), EnrichmentDialog::patternApplyTo(), plotBox(), print(), raiseEnrichements(), resizeEvent(), EnrichmentDialog::saveImagesInternally(), saveToString(), EnrichmentDialog::setBestSize(), EnrichmentDialog::setCoordinates(), Spectrogram::setDefaultColorMap(), setIndexedColors(), PlotDialog::setLabelsFont(), RectangleWidget::setLinkedLayer(), Spectrogram::setMatrix(), FrameWidget::setOriginCoord(), LegendWidget::showTextEditor(), stackingOrderEnrichmentsList(), TextEditor::TextEditor(), EnrichmentDialog::textFormatApplyTo(), EnrichmentDialog::updateForm(), AxesDialog::updateGrid(), updateWaterfallFill(), and AddWidgetTool::~AddWidgetTool().

LegendWidget * Graph::newLegend | ( | const QString & | text = `QString()` | ) |

slot

References MdiSubWindow::applicationWindow(), d_enrichments, isPiePlot(), ApplicationWindow::legendBackground, ApplicationWindow::legendFrameStyle, legendText(), ApplicationWindow::legendTextColor, modifiedGraph(), multiLayer(), pieLegendText(), ApplicationWindow::plotLegendFont, LegendWidget::setAutoUpdate(), FrameWidget::setBackgroundColor(), LegendWidget::setFont(), FrameWidget::setFrameStyle(), LegendWidget::setText(), and LegendWidget::setTextColor().

Referenced by addTimeStamp(), ApplicationWindow::differentiate(), ApplicationWindow::multilayerPlot(), ApplicationWindow::newGraph(), ApplicationWindow::newLegend(), DataPickerTool::pasteSelectionAsLayerText(), PlotWizard::plot2D(), Filter::showLegend(), LayerDialog::update(), MultiLayer::updateLayersLayout(), and ApplicationWindow::waterfallPlot().

void Graph::notifyChanges | ( |  | ) |

slot

References modifiedGraph().

Referenced by CurveRangeDialog::accept(), PlotDialog::acceptParams(), AddWidgetTool::addEllipse(), AddWidgetTool::addEquation(), AddWidgetTool::addRectangle(), AddWidgetTool::addText(), SelectionMoveResizer::alignTargetsBottom(), SelectionMoveResizer::alignTargetsLeft(), SelectionMoveResizer::alignTargetsRight(), SelectionMoveResizer::alignTargetsTop(), TextDialog::apply(), AssociationsDialog::changePlotAssociation(), TextEditor::closeEvent(), enablePanningMagnifier(), Spectrogram::moveLabel(), RangeSelectorTool::setCurveRange(), FrameWidget::setOnTop(), AxesDialog::updateGrid(), and AxesDialog::updatePlot().

void Graph::notifyColorChange | ( | const QColor & | c | ) |

inline slot

References currentColorChanged().

Referenced by Spectrogram::selectLabel(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), and DataCurve::setLabelsSelected().

void Graph::notifyFontChange | ( | const QFont & | f | ) |

inline slot

References currentFontChanged().

Referenced by SelectionMoveResizer::operateOnTargets(), scaleFonts(), Spectrogram::selectLabel(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), and DataCurve::setLabelsSelected().

int Graph::numArrows | ( |  | ) |

inline slot

References d_lines.

int Graph::obsoleteSymbolStyle | ( | int | type | ) |

static slot

Referenced by ApplicationWindow::openGraph().

BoxCurve * Graph::openBoxDiagram | ( | Table * | w,
|  | const QStringList & | l,
|  | int | fileVersion
| ) |  |

slot

References insertCurve(), BoxCurve::loadData(), Table::numRows(), BoxCurve::setBoxRange(), BoxCurve::setBoxStyle(), BoxCurve::setBoxWidth(), BoxCurve::setMaxStyle(), BoxCurve::setMeanStyle(), BoxCurve::setMinStyle(), BoxCurve::setP1Style(), BoxCurve::setP99Style(), BoxCurve::setWhiskersRange(), and SymbolBox::style().

Referenced by ApplicationWindow::openGraph().

int Graph::oppositeAxis | ( | int | axis | ) |

slot

Referenced by updateOppositeScaleDiv(), AxesDialog::updatePlot(), and updateSecondaryAxis().

QRectF Graph::pageGeometry | ( |  | ) |

inline

References d_page_rect.

Referenced by MultiLayer::adjustLayersToCanvasSize().

const QColor & Graph::paletteBackgroundColor | ( |  | ) | const

Referenced by copy(), printFrame(), saveToString(), and PlotDialog::setActiveLayer().

QString Graph::parseAxisTitle | ( | int | axis | ) |

private

References ColComment, Table::colIndex(), ColName, Table::comment(), curve(), d_axis_title_policy, d_axis_titles, d_curves, dataCurve(), Default, NameAndComment, DataCurve::table(), and DataCurve::xColumnName().

Referenced by setAxisTitleString(), updateAxesTitles(), and updateAxisTitle().

QString Graph::penStyleName | ( | Qt::PenStyle | style | ) |

static slot

Referenced by saveMarkers(), savePieCurveLayout(), and ApplicationWindow::saveSettings().

QString Graph::pieLegendText | ( |  | ) |

slot

References d_curves.

Referenced by newLegend().

void Graph::plotBox | ( | Table * | w,
|  | const QStringList & | names,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References MdiSubWindow::applicationWindow(), ScaleDraw::ColHeader, d_enrichments, ColorBox::defaultColors(), ScaleDraw::HideBeginEnd, ApplicationWindow::indexedColors(), insertCurve(), LegendWidget::isAutoUpdateEnabled(), legendText(), BoxCurve::loadData(), multiLayer(), Table::numRows(), Table::selectedYLabels(), ScaleDraw::setShowTicksPolicy(), and LegendWidget::setText().

Referenced by addCurves().

QwtPlotItem * Graph::plotItem | ( | int | index | ) |

slot

get plotted item by index

References d_curves.

Referenced by ApplicationWindow::changeMatrixName(), curveTitle(), LayerItem::insertCurvesList(), AssociationsDialog::setGraph(), showCurve(), CurvesDialog::showCurveBtn(), CurvesDialog::showCurveRange(), ApplicationWindow::showCurveWorksheet(), and ApplicationWindow::showMatrixValuesDialog().

QStringList Graph::plotItemsList | ( |  | ) |

slot

Returns the names of all plot items, including spectrograms, as a string list.

References d_curves.

Referenced by curveIndex(), plotSpectrogram(), CurvesDialog::setGraph(), CurvesDialog::shiftCurveBy(), and CurvesDialog::showCurveRange().

PieCurve * Graph::plotPie | ( | Table * | w,
|  | const QString & | name,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

Used when creating a pie plot.

References enableAxis(), PieCurve::initLabels(), insertCurve(), PieCurve::loadData(), ScalePicker::refresh(), scalePicker, and setFrame().

Referenced by addCurves(), and ApplicationWindow::openGraph().

PieCurve * Graph::plotPie | ( | Table * | w,
|  | const QString & | name,
|  | const QPen & | pen,
|  | int | brush,
|  | int | size,
|  | int | firstColor,
|  | int | startRow = `0`,
|  | int | endRow = `-1`,
|  | bool | visible = `true`,
|  | double | d_start_azimuth = `270`,
|  | double | d_view_angle = `90`,
|  | double | d_thickness = `33`,
|  | double | d_horizontal_offset = `0.0`,
|  | double | d_edge_dist = `25`,
|  | bool | d_counter_clockwise = `false`,
|  | bool | d_auto_labeling = `true`,
|  | bool | d_values = `false`,
|  | bool | d_percentages = `true`,
|  | bool | d_categories = `false`,
|  | bool | d_fixed_labels_pos = `true`
| ) |  |

slot

Used when restoring a pie plot from a project file.

References PatternBox::brushStyle(), PieCurve::initLabels(), insertCurve(), PieCurve::loadData(), Table::numRows(), PieCurve::setBrushStyle(), PieCurve::setCounterClockwise(), PieCurve::setFirstColor(), PieCurve::setFixedLabelsPosition(), PieCurve::setHorizontalOffset(), PieCurve::setLabelCategories(), PieCurve::setLabelPercentagesFormat(), PieCurve::setLabelsAutoFormat(), PieCurve::setLabelsEdgeDistance(), PieCurve::setLabelValuesFormat(), PieCurve::setRadius(), PieCurve::setStartAzimuth(), PieCurve::setThickness(), PieCurve::setViewAngle(), and DataCurve::setVisible().

Spectrogram * Graph::plotSpectrogram | ( | Matrix * | m,
|  | CurveType | type
| ) |  |

slot

Add a spectrogram to the graph.

References Spectrogram::clearLabels(), Spectrogram::colorMap(), ColorMap, Contour, d_zoomer, GrayScale, insertCurve(), plotItemsList(), Spectrogram::range(), Spectrogram::setColorScaleAxis(), Spectrogram::setDefaultColorMap(), Spectrogram::setGrayScale(), spectrogram(), and updateSecondaryAxis().

Referenced by CurvesDialog::addCurveFromMatrix(), dropEvent(), ApplicationWindow::plotImage(), MultiLayer::plotProfiles(), and ApplicationWindow::plotSpectrogram().

VectorCurve * Graph::plotVectors | ( | Table * | w,
|  | const QStringList & | colList,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addLegendItem(), insertCurve(), VectorCurve::loadData(), Table::numRows(), PlotCurve::setPlotStyle(), updatePlot(), VectXYAM, VectorCurve::XYAM, and VectorCurve::XYXY.

Referenced by addCurves(), and ApplicationWindow::openGraph().

void Graph::print | ( | QPainter * | painter,
|  | const QRect & | plotRect,
|  | const QwtPlotPrintFilter & | pfilter = `QwtPlotPrintFilter()`
| ) |  |

Paint the plot into a given rectangle. Paint the contents of a QwtPlot instance into a given rectangle (Qwt modified code).

Parameters

  painter | Painter
  plotRect | Bounding rectangle
  pfilter | Print filter

References boundingRect(), d_curves, d_is_printing, deselect(), LegendWidget::font(), FrameWidget::isOnTop(), FrameWidget::print(), printCanvas(), printFrame(), printScale(), LegendWidget::setFont(), VectorCurve::setVectorPen(), stackingOrderEnrichmentsList(), PlotCurve::type(), VectorCurve::vectorPen(), VectXYAM, and VectXYXY.

Referenced by MultiLayer::canvasPixmap(), MultiLayer::draw(), MultiLayer::exportVector(), MultiLayer::printActiveLayer(), and MultiLayer::printAllLayers().

void Graph::print | ( |  | ) |

slot

References multiLayer().

Referenced by draw(), exportVector(), and graphPixmap().

void Graph::printCanvas | ( | QPainter * | painter,
|  | const QRect & | canvasRect,
|  | const QwtScaleMap | map[axisCnt],
|  | const QwtPlotPrintFilter & | pfilter
| ) |  | const

private

References drawItems().

Referenced by print().

void Graph::printFrame | ( | QPainter * | painter,
|  | const QRect & | rect
| ) |  | const

private

References paletteBackgroundColor().

Referenced by print().

void Graph::printScale | ( | QPainter * | painter,
|  | int | axisId,
|  | int | startDist,
|  | int | endDist,
|  | int | baseDist,
|  | const QRect & | rect
| ) |  | const

private virtual

Paint a scale into a given rectangle. Paint the scale into a given rectangle (modified code from Qwt).

Parameters

  painter | Painter
  axisId | Axis
  startDist | Start border distance
  endDist | End border distance
  baseDist | Base distance
  rect | Bounding rectangle

Referenced by print().

void Graph::raiseEnrichements | ( |  | ) |

References d_enrichments, enrichmentsList(), FrameWidget::isOnTop(), MultiLayer::layersList(), and multiLayer().

Referenced by MultiLayer::activateGraph(), MultiLayer::addLayer(), FrameWidget::FrameWidget(), and MultiLayer::setActiveLayer().

int Graph::range | ( | const QString & | curveTitle,
|  | double * | start,
|  | double * | end
| ) |  |

slot

Set start and end to selected X range of curve "curveTitle" or, if there's no selection, to the curve's total range.

Returns
  the number of selected or total points

References curve().

Referenced by InterpolationDialog::activateCurve(), IntegrationDialog::activateCurve(), PolynomFitDialog::activateCurve(), ExpDecayDialog::activateCurve(), FitDialog::activateCurve(), and Filter::setDataFromCurve().

int Graph::range | ( | QwtPlotCurve * | c,
|  | double * | start,
|  | double * | end
| ) |  |

slot

Set start and end to selected X range of curve "curve" or, if there's no selection, to the curve's total range.

Returns
  the number of selected or total points

References d_range_selector.

bool Graph::rangeSelectorsEnabled | ( |  | ) |

slot

References d_range_selector.

Referenced by ApplicationWindow::analysis(), FitDialog::changeDataRange(), ApplicationWindow::clearSelection(), ApplicationWindow::copySelection(), ApplicationWindow::custom2DPlotTools(), ApplicationWindow::cutSelection(), ApplicationWindow::pasteSelection(), SubtractDataDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), IntegrationDialog::setGraph(), FitDialog::setGraph(), and ApplicationWindow::showCurveContextMenu().

QPointer<RangeSelectorTool> Graph::rangeSelectorTool | ( |  | ) |

inline slot

References d_range_selector.

Referenced by ApplicationWindow::analysis(), FitDialog::changeDataRange(), ApplicationWindow::clearSelection(), ApplicationWindow::copySelection(), ApplicationWindow::cutSelection(), ApplicationWindow::pasteSelection(), SubtractDataDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), IntegrationDialog::setGraph(), FitDialog::setGraph(), and ApplicationWindow::showCurveContextMenu().

void Graph::recoverObsoleteDateTimeScale | ( | int | axis,
|  | int | type,
|  | const QString & | origin,
|  | const QString & | format
| ) |  |

slot

References d_user_step, ScaleDraw::Date, Table::fromDateTime(), Table::fromTime(), and ScaleDraw::Time.

Referenced by ApplicationWindow::openGraph().

void Graph::reloadCurvesData | ( |  | ) |

slot

References d_curves, Function, and PlotCurve::type().

void Graph::remove | ( | FrameWidget * | f | ) |

References d_active_enrichment, d_enrichments, and modifiedGraph().

Referenced by PlotDialog::removeSelectedObject(), and EnrichmentDialog::~EnrichmentDialog().

void Graph::remove | ( | ArrowMarker * | arrow | ) |

slot

References cp, d_lines, d_markers_selector, d_selected_arrow, CanvasPicker::disableEditing(), and modifiedGraph().

void Graph::removeAxisTitle | ( |  | ) |

slot

References ScalePicker::currentAxis(), scalePicker, and setAxisTitle().

Referenced by cutAxisTitle(), and showAxisTitleMenu().

void Graph::removeCurve | ( | QwtPlotItem * | it | ) |

slot

References curve(), d_curves, d_fit_curves, d_range_selector, disableTools(), ErrorBars, Function, modifiedGraph(), and removeLegendItem().

Referenced by ImageProfilesTool::clone(), BaselineDialog::createBaseline(), FitDialog::deleteFitCurves(), deleteFitCurves(), ApplicationWindow::extractLayers(), BaselineDialog::modifyBaseline(), DataCurve::remove(), ApplicationWindow::remove3DMatrixPlots(), removeCurve(), ApplicationWindow::removeCurve(), CurvesDialog::removeCurves(), removeCurves(), removePie(), and PlotDialog::removeSelectedObject().

void Graph::removeCurve | ( | int | index | ) |

slot

Removes a curve defined by its index.

References d_curves, and removeCurve().

void Graph::removeCurve | ( | const QString & | s | ) |

slot

Removes a curve defined by its title string s.

References curveIndex(), and removeCurve().

void Graph::removeCurves | ( | const QString & | s | ) |

slot

Removes all curves defined by the title/plot association string s.

References d_curves, Function, and removeCurve().

Referenced by ApplicationWindow::removeCurves().

void Graph::removeLegend | ( |  | ) |

slot

References legend().

Referenced by Differentiation::output(), FFT::outputGraphs(), LayerDialog::update(), and ApplicationWindow::zoomRectanglePlot().

void Graph::removeLegendItem | ( | int | index | ) |

slot

References d_curves, d_enrichments, ErrorBars, LegendWidget::isAutoUpdateEnabled(), LegendWidget::setText(), and LegendWidget::text().

Referenced by removeCurve().

void Graph::removeMarker | ( |  | ) |

slot

References d_lines, d_markers_selector, and d_selected_arrow.

Referenced by ApplicationWindow::clearSelection(), ApplicationWindow::cutSelection(), and MultiPeakFitTool::finalize().

void Graph::removePie | ( |  | ) |

slot

References curve(), modifiedGraph(), removeCurve(), and PieLabel::setPieCurve().

void Graph::removeTitle | ( |  | ) |

slot

Sets title to an empty string and hides the text label.

References modifiedGraph().

Referenced by cutTitle(), Graph(), and showTitleContextMenu().

void Graph::resizeEvent | ( | QResizeEvent * | e | ) |

slot

References FrameWidget::attachPolicy(), d_enrichments, MultiLayer::hasSelectedLayers(), multiLayer(), FrameWidget::Page, FrameWidget::resetCoordinates(), FrameWidget::resetOrigin(), FrameWidget::updateCoordinates(), updateCurveLabels(), and updateLayout().

void Graph::restoreBackgroundImage | ( | const QStringList & | lst | ) |

slot

References d_canvas_bkg_path, and d_canvas_bkg_pix.

Referenced by ApplicationWindow::openGraph().

void Graph::restoreCurveLabels | ( | int | curveID,
|  | const QStringList & | lst
| ) |  |

Used when restoring DataCurve curveID from a project file.

References curve(), and DataCurve::restoreLabels().

Referenced by ApplicationWindow::openGraph().

QwtHistogram * Graph::restoreHistogram | ( | Matrix * | m,
|  | const QStringList & | l
| ) |  |

slot

Restores a histogram from a project file.

References insertCurve(), QwtHistogram::loadData(), QwtHistogram::setBinning(), QwtBarCurve::setGap(), QwtBarCurve::setOffset(), and DataCurve::setVisible().

Referenced by ApplicationWindow::openGraph().

void Graph::restoreSpectrogram | ( | ApplicationWindow * | app,
|  | const QStringList & | lst
| ) |  |

slot

Restores a spectrogram. Used when opening a project file.

References Spectrogram::clearLabels(), Spectrogram::Default, LinearColorMap::fromXmlStringList(), getPenStyle(), Spectrogram::GrayScale, insertCurve(), ApplicationWindow::matrix(), PenStyleBox::penStyle(), Spectrogram::setColorMapPen(), Spectrogram::setContourLevels(), Spectrogram::setContourPenList(), Spectrogram::setCustomColorMap(), Spectrogram::setDefaultColorMap(), Spectrogram::setGrayScale(), Spectrogram::setLabelOffset(), Spectrogram::setLabelsColor(), Spectrogram::setLabelsFont(), Spectrogram::setLabelsOffset(), Spectrogram::setLabelsRotation(), Spectrogram::setLabelsWhiteOut(), Spectrogram::setLevelsNumber(), Spectrogram::setUseMatrixFormula(), Spectrogram::setVisible(), and Spectrogram::showContourLineLabels().

Referenced by ApplicationWindow::openGraph().

void Graph::restoreSymbolImage | ( | int | index,
|  | const QStringList & | lst
| ) |  |

slot

References curve(), and d_curves.

Referenced by ApplicationWindow::openGraph().

void Graph::reverseCurveOrder | ( |  | ) |

slot

References d_curves, modifiedGraph(), and setCurvesList().

Referenced by MultiLayer::reverseWaterfallOrder().

QString Graph::rgbaName | ( | const QColor & | color | ) |

static slot

Referenced by saveCurveLayout().

QString Graph::saveAxesBackbones | ( |  | ) |

slot

References drawAxesBackbone.

Referenced by saveToString().

QString Graph::saveAxesBaseline | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveAxesColors | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveAxesFormulas | ( |  | ) |

slot

References ScaleDraw::formula().

Referenced by saveToString().

QString Graph::saveAxesLabelsType | ( |  | ) |

slot

References ScaleDraw::ColHeader, ScaleDraw::Date, ScaleDraw::Day, ScaleDraw::formatString(), ScaleDraw::Month, ScaleDraw::Numeric, ScaleDraw::scaleType(), ScaleDraw::Text, and ScaleDraw::Time.

Referenced by saveToString().

QString Graph::saveAxesTitleAlignement | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveAxesTitleColors | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveBackgroundImage | ( |  | ) |

slot

References d_canvas_bkg_path, and d_canvas_bkg_pix.

Referenced by saveToString().

QString Graph::saveCanvas | ( |  | ) |

slot

References canvasFrameColor().

Referenced by saveToString().

QString Graph::saveCurveLayout | ( | int | index | ) |

slot

References QwtHistogram::autoBinning(), QwtHistogram::begin(), QwtHistogram::binSize(), Box, BoxCurve::boxRange(), BoxCurve::boxRangeType(), BoxCurve::boxStyle(), BoxCurve::boxWidth(), VectorCurve::color(), curve(), QwtHistogram::end(), VectorCurve::filledArrowHead(), QwtBarCurve::gap(), VectorCurve::headAngle(), VectorCurve::headLength(), Histogram, HorizontalBars, LineSymbols, BoxCurve::maxStyle(), BoxCurve::meanStyle(), BoxCurve::minStyle(), QwtBarCurve::offset(), BoxCurve::p1Style(), BoxCurve::p99Style(), PatternBox::patternIndex(), VectorCurve::plotAssociation(), PlotCurve::plotStyle(), VectorCurve::position(), rgbaName(), Spline, SymbolBox::symbolIndex(), VectXYAM, VectXYXY, VerticalBars, VerticalSteps, BoxCurve::whiskersRange(), BoxCurve::whiskersRangeType(), and VectorCurve::width().

Referenced by saveCurves().

QString Graph::saveCurves | ( |  | ) |

slot

References Box, ErrorBarsCurve::capLength(), ErrorBarsCurve::color(), curveIndex(), d_curves, ErrorBarsCurve::direction(), DataCurve::endRow(), ErrorBars, Function, Histogram, isPiePlot(), ErrorBarsCurve::masterCurve(), ErrorBarsCurve::minusSide(), ErrorBarsCurve::plusSide(), saveCurveLayout(), savePieCurveLayout(), DataCurve::saveToString(), DataCurve::startRow(), ErrorBarsCurve::throughSymbol(), PlotCurve::type(), ErrorBarsCurve::width(), and DataCurve::xColumnName().

Referenced by saveToString().

QString Graph::saveEnabledAxes | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveEnabledTickLabels | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveFonts | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveLabelsFormat | ( |  | ) |

slot

References axisLabelFormat(), and axisLabelPrecision().

Referenced by saveToString().

QString Graph::saveLabelsPrefixAndSuffix | ( |  | ) |

slot

References ScaleDraw::prefix(), and ScaleDraw::suffix().

Referenced by saveToString().

QString Graph::saveLabelsRotation | ( |  | ) |

slot

References labelsRotation().

Referenced by saveToString().

QString Graph::saveMarkers | ( |  | ) |

slot

References ArrowMarker::attachPolicy(), ArrowMarker::color(), d_enrichments, d_lines, ArrowMarker::endPointCoord(), ArrowMarker::filledArrowHead(), ArrowMarker::hasEndArrow(), ArrowMarker::hasStartArrow(), ArrowMarker::headAngle(), ArrowMarker::headLength(), penStyleName(), FrameWidget::saveToString(), ArrowMarker::startPointCoord(), ArrowMarker::style(), and ArrowMarker::width().

Referenced by saveToString().

QString Graph::savePieCurveLayout | ( |  | ) |

slot

References PieCurve::color(), PieCurve::counterClockwise(), curve(), DataCurve::endRow(), PieCurve::firstColor(), PieCurve::fixedLabelsPosition(), PieCurve::horizontalOffset(), PieCurve::labelCategories(), PieCurve::labelsAutoFormat(), PieCurve::labelsEdgeDistance(), PieCurve::labelsPercentagesFormat(), PieCurve::labelsValuesFormat(), PieCurve::pattern(), PatternBox::patternIndex(), penStyleName(), PieCurve::radius(), PieCurve::startAzimuth(), DataCurve::startRow(), PieCurve::thickness(), and PieCurve::viewAngle().

Referenced by saveCurves().

QString Graph::saveScale | ( |  | ) |

slot

References d_user_step, and ScaleEngine::type().

Referenced by saveToString().

QString Graph::saveScaleTitles | ( |  | ) |

slot

References axisTitleString().

Referenced by saveToString().

QString Graph::saveTickLabelsSpace | ( |  | ) |

slot

References ScaleDraw::showTicksPolicy().

Referenced by saveToString().

QString Graph::saveTicksType | ( |  | ) |

slot

References getMajorTicksType(), and getMinorTicksType().

Referenced by saveToString().

QString Graph::saveTitle | ( |  | ) |

slot

Referenced by saveToString().

QString Graph::saveToString | ( | bool | saveAsTemplate = `false` | ) |

slot

References autoScaleFonts, axesLinewidth(), MultiLayer::canvas(), curve(), d_antialiasing, d_auto_scale, d_curves, d_Douglas_Peuker_tolerance, d_grid_on_top, d_image_profiles_tool, d_missing_data_gap, d_speed_mode_points, d_waterfall_offset_x, d_waterfall_offset_y, frameColor(), grid(), isWaterfallPlot(), majorTickLength(), minorTickLength(), multiLayer(), paletteBackgroundColor(), saveAxesBackbones(), saveAxesBaseline(), saveAxesColors(), saveAxesFormulas(), saveAxesLabelsType(), saveAxesTitleAlignement(), saveAxesTitleColors(), saveBackgroundImage(), saveCanvas(), saveCurves(), saveEnabledAxes(), saveEnabledTickLabels(), saveFonts(), saveLabelsFormat(), saveLabelsPrefixAndSuffix(), saveLabelsRotation(), saveMarkers(), saveScale(), saveScaleTitles(), saveTickLabelsSpace(), saveTicksType(), saveTitle(), Grid::saveToString(), and PlotCurve::sideLinesEnabled().

Referenced by MultiLayer::save().

void Graph::scaleFonts | ( | double | factor | ) |

slot

References curvesList(), d_enrichments, LegendWidget::font(), Function, notifyFontChange(), FrameWidget::resetOrigin(), setAxisFont(), and LegendWidget::setFont().

Referenced by MultiLayer::resizeLayers(), setCanvasGeometry(), and setCanvasSize().

void Graph::select | ( | QWidget * | l,
|  | bool | add = `false`
| ) |  |

References currentColorChanged(), currentFontChanged(), d_active_enrichment, d_markers_selector, ScalePicker::deselect(), deselectCurves(), modifiedGraph(), scalePicker, selectionChanged(), selectorDeleted(), and selectTitle().

Referenced by FrameWidget::mousePressEvent(), and SelectionMoveResizer::mousePressEvent().

void Graph::selectCanvas | ( |  | ) |

References selectedCanvas().

Referenced by CanvasPicker::eventFilter().

ArrowMarker* Graph::selectedArrow | ( |  | ) |

inline slot

References d_selected_arrow.

Referenced by ApplicationWindow::copyMarker(), CanvasPicker::eventFilter(), and ApplicationWindow::showLineDialog().

void Graph::selectedCanvas | ( | Graph * |  | ) |

signal

Referenced by selectCanvas().

QwtPlotItem * Graph::selectedCurveLabels | ( |  | ) |

References curvesList(), and Function.

Referenced by ApplicationWindow::clearSelection(), and CanvasPicker::eventFilter().

void Graph::selectedGraph | ( | Graph * |  | ) |

signal

Referenced by activateGraph(), and selectTitle().

QwtScaleWidget * Graph::selectedScale | ( |  | ) |

slot

References scalePicker, and ScalePicker::selectedAxis().

Referenced by ApplicationWindow::enableTextEditor(), and TextEditor::TextEditor().

double Graph::selectedXEndValue | ( |  | ) |

slot

References d_range_selector.

Referenced by InterpolationDialog::changeDataRange(), PolynomFitDialog::changeDataRange(), IntegrationDialog::changeDataRange(), ExpDecayDialog::changeDataRange(), and FitDialog::changeDataRange().

double Graph::selectedXStartValue | ( |  | ) |

slot

References d_range_selector.

Referenced by InterpolationDialog::changeDataRange(), PolynomFitDialog::changeDataRange(), IntegrationDialog::changeDataRange(), ExpDecayDialog::changeDataRange(), and FitDialog::changeDataRange().

void Graph::selectionChanged | ( | SelectionMoveResizer * |  | ) |

signal

Referenced by select(), and selectorDeleted().

QPointer<SelectionMoveResizer> Graph::selectionMoveResizer | ( |  | ) |

inline

References d_markers_selector.

Referenced by ApplicationWindow::alignBottom(), ApplicationWindow::alignLeft(), ApplicationWindow::alignRight(), ApplicationWindow::alignTop(), ApplicationWindow::custom2DPlotTools(), and ApplicationWindow::raiseActiveEnrichment().

void Graph::selectorDeleted | ( |  | ) |

private slot

References d_markers_selector, and selectionChanged().

Referenced by select().

void Graph::selectTitle | ( | bool | select = `true` | ) |

slot

References currentColorChanged(), currentFontChanged(), deselect(), selectedGraph(), TitlePicker::setSelected(), and titlePicker.

Referenced by Graph(), select(), DataCurve::setLabelsSelected(), and setSelectedArrow().

void Graph::setActiveText | ( | LegendWidget * | l | ) |

inline

References d_active_enrichment.

Referenced by TextEditor::closeEvent().

void Graph::setActiveTool | ( | PlotToolInterface * | tool | ) |

Change the active tool, deleting the old one if it exists.

References d_active_tool, d_image_profiles_tool, d_peak_fit_tool, d_range_selector, PlotToolInterface::rtti(), PlotToolInterface::Rtti_ImageProfilesTool, and PlotToolInterface::Rtti_MultiPeakFitTool.

Referenced by ApplicationWindow::addEllipse(), AddWidgetTool::addEquation(), ApplicationWindow::addRectangle(), ApplicationWindow::addTexFormula(), AddWidgetTool::addText(), ApplicationWindow::addText(), MultiLayer::copy(), BaselineDialog::disableBaselineTool(), ApplicationWindow::drawPoints(), AddWidgetTool::eventFilter(), SubtractLineTool::finalize(), ApplicationWindow::fitMultiPeak(), DataPickerTool::keyEventFilter(), BaselineDialog::modifyBaseline(), LineProfileTool::mouseReleaseEvent(), ApplicationWindow::movePoints(), ApplicationWindow::openGraph(), ApplicationWindow::pixelLineProfile(), ApplicationWindow::removePoints(), TranslateCurveTool::selectCurvePoint(), TranslateCurveTool::selectDestination(), ApplicationWindow::showCursor(), ApplicationWindow::showScreenReader(), ApplicationWindow::subtractStraightLine(), ApplicationWindow::translateCurve(), and EnrichmentDialog::~EnrichmentDialog().

void Graph::setAntialiasing | ( | bool | on = `true`,
|  | bool | update = `true`
| ) |  |

slot

Enables/Disables antialiasing of plot items.

References d_antialiasing, d_curves, d_lines, and isCurveAntialiasingEnabled().

Referenced by PlotDialog::applyFormatToLayer(), copy(), ApplicationWindow::openGraph(), ApplicationWindow::setGraphDefaultSettings(), and ApplicationWindow::setPreferences().

void Graph::setAutoScale | ( |  | ) |

slot

References d_user_step, modifiedGraph(), and updateScale().

Referenced by PlotDialog::acceptParams(), BaselineDialog::createBaseline(), ApplicationWindow::plotDoubleYAxis(), ApplicationWindow::setAutoScale(), and showAxisContextMenu().

void Graph::setAutoscaleFonts | ( | bool | on = `true` | ) |

inline slot

References autoScaleFonts.

Referenced by PlotDialog::applyFormatToLayer(), MultiLayer::arrangeLayers(), MultiLayer::copy(), ApplicationWindow::openGraph(), MultiLayer::setEqualSizedLayers(), ApplicationWindow::setGraphDefaultSettings(), and ApplicationWindow::setPreferences().

void Graph::setAxesLinewidth | ( | int | width | ) |

References axesLinewidth(), d_grid, modifiedGraph(), Grid::xZeroLineMarker(), and Grid::yZeroLineMarker().

Referenced by AxesDialog::applyCanvasFormatTo(), copy(), loadAxesLinewidth(), and ApplicationWindow::setPreferences().

void Graph::setAxisColor | ( | int | axis,
|  | const QColor & | color
| ) |  |

slot

References d_grid, Grid::xZeroLineMarker(), and Grid::yZeroLineMarker().

Referenced by ApplicationWindow::openGraph().

void Graph::setAxisFont | ( | int | axis,
|  | const QFont & | fnt
| ) |  |

slot

References modifiedGraph().

Referenced by AxesDialog::applyAxisFormatToLayer(), copyScaleWidget(), AxesDialog::customAxisFont(), initFonts(), ApplicationWindow::openGraph(), scaleFonts(), and MultiLayer::setFonts().

void Graph::setAxisFormula | ( | int | axis,
|  | const QString & | formula
| ) |  |

slot

References ScaleDraw::setFormula().

Referenced by ApplicationWindow::openGraph().

void Graph::setAxisLabelRotation | ( | int | axis,
|  | int | rotation
| ) |  |

slot

Referenced by copy(), ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), and showAxis().

void Graph::setAxisLabelsColor | ( | int | axis,
|  | const QColor & | color
| ) |  |

slot

Referenced by ApplicationWindow::openGraph().

void Graph::setAxisMargin | ( | int | axis,
|  | int | margin
| ) |  |

slot

Referenced by ApplicationWindow::openGraph().

void Graph::setAxisStep | ( | int | axis,
|  | double | step
| ) |  |

inline slot

References d_user_step.

void Graph::setAxisTicksLength | ( | int | axis,
|  | int | majTicksType,
|  | int | minTicksType,
|  | int | minLength,
|  | int | majLength
| ) |  |

slot

References ScaleDraw::In, ScaleDraw::None, ScaleDraw::setMajorTicksStyle(), ScaleDraw::setMinorTicksStyle(), and setTickLength().

Referenced by AxesDialog::applyAxisFormatToLayer(), copyScaleDraw(), setTicksLength(), and showAxis().

void Graph::setAxisTitle | ( | int | axis,
|  | const QString & | text
| ) |  |

slot

References modifiedGraph(), and setAxisTitleString().

Referenced by ApplicationWindow::addInsetLayer(), TextDialog::apply(), clearAxisTitle(), TextEditor::closeEvent(), FFT::outputGraphs(), ApplicationWindow::plotImage(), MultiLayer::plotProfiles(), removeAxisTitle(), MultiLayer::setFonts(), ApplicationWindow::setPreferences(), setRightAxisTitle(), setScaleTitle(), setTopAxisTitle(), setXAxisTitle(), setYAxisTitle(), AxesDialog::updatePlot(), and ApplicationWindow::zoomRectanglePlot().

void Graph::setAxisTitleAlignment | ( | int | axis,
|  | int | align
| ) |  |

slot

Referenced by ApplicationWindow::openGraph().

void Graph::setAxisTitleColor | ( | int | axis,
|  | const QColor & | c
| ) |  |

slot

Referenced by ApplicationWindow::openGraph(), and AxesDialog::pickAxisLabelColor().

void Graph::setAxisTitleDistance | ( | int | axis,
|  | int | dist
| ) |  |

slot

Referenced by ApplicationWindow::openGraph(), ApplicationWindow::setPreferences(), and AxesDialog::updatePlot().

void Graph::setAxisTitleFont | ( | int | axis,
|  | const QFont & | fnt
| ) |  |

slot

References modifiedGraph().

Referenced by AxesDialog::customAxisLabelFont(), and ApplicationWindow::openGraph().

void Graph::setAxisTitlePolicy | ( | const AxisTitlePolicy & | policy | ) |

inline

References d_axis_title_policy.

Referenced by ConfigDialog::apply(), copy(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

void Graph::setAxisTitleString | ( | int | axis,
|  | const QString & | text
| ) |  |

slot

References d_axis_titles, and parseAxisTitle().

Referenced by setAxisTitle(), and MultiLayer::setCommonLayerAxes().

void Graph::setBackgroundColor | ( | const QColor & | color | ) |

slot

References modifiedGraph().

Referenced by ApplicationWindow::addInsetLayer(), PlotDialog::applyFormatToLayer(), copy(), ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), MultiLayer::setCommonLayerAxes(), and ApplicationWindow::setPreferences().

void Graph::setBarsGap | ( | int | curve,
|  | int | gapPercent,
|  | int | offset
| ) |  |

slot

Used for VerticalBars, HorizontalBars and Histograms.

References curve(), QwtBarCurve::gap(), QwtBarCurve::offset(), QwtBarCurve::setGap(), and QwtBarCurve::setOffset().

Referenced by PlotDialog::acceptParams(), and ApplicationWindow::openGraph().

void Graph::setCanvasBackgroundImage | ( | const QString & | fn = `QString()`,
|  | bool | update = `true`
| ) |  |

slot

References d_canvas_bkg_path, and d_canvas_bkg_pix.

Referenced by PlotDialog::applyCanvasFormatToLayer(), and copy().

void Graph::setCanvasCoordinates | ( | const QRectF & | r | ) |

slot

References setScale().

Referenced by ApplicationWindow::zoomRectanglePlot().

void Graph::setCanvasFrame | ( | int | width = `1`,
|  | const QColor & | color = `QColor(Qt::black)`
| ) |  |

slot

References modifiedGraph().

Referenced by AxesDialog::applyCanvasFormatTo(), PlotDialog::applyCanvasFormatToLayer(), copy(), ApplicationWindow::openGraph(), ApplicationWindow::setPreferences(), ApplicationWindow::waterfallPlot(), and ApplicationWindow::zoomRectanglePlot().

void Graph::setCanvasGeometry | ( | const QRect & | cr | ) |

Adjust plot content to its canvas size.

Parameters

  cr | The new geometry of the canvas.

References autoScaleFonts, scaleFonts(), and updateMarkersBoundingRect().

Referenced by PlotDialog::acceptParams(), MultiLayer::arrangeLayers(), ApplicationWindow::pasteSelection(), MultiLayer::plotProfiles(), and MultiLayer::resizeLayers().

void Graph::setCanvasGeometry | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

inline

Convenience function for scripts.

References setCanvasGeometry().

Referenced by setCanvasGeometry().

void Graph::setCanvasSize | ( | const QSize & | size | ) |

Adjust plot content to its canvas size.

Parameters

  cr | The new size of the canvas.

References autoScaleFonts, scaleFonts(), and updateMarkersBoundingRect().

Referenced by PlotDialog::applyCanvasSize(), MultiLayer::arrangeLayers(), and PlotDialog::resizeLayerToFitImage().

void Graph::setCanvasSize | ( | int | w,
|  | int | h
| ) |  |

inline

Convenience function for scripts.

References setCanvasSize().

Referenced by setCanvasSize().

void Graph::setCurrentColor | ( | const QColor & | c | ) |

slot

References curvesList(), d_active_enrichment, Function, ScalePicker::labelsSelected(), modifiedGraph(), scalePicker, TitlePicker::selected(), ScalePicker::selectedAxis(), LegendWidget::setTextColor(), titlePicker, and ScalePicker::titleSelected().

Referenced by ApplicationWindow::setTextColor().

void Graph::setCurrentFont | ( | const QFont & | f | ) |

slot

References curvesList(), d_active_enrichment, Function, ScalePicker::labelsSelected(), modifiedGraph(), scalePicker, TitlePicker::selected(), ScalePicker::selectedAxis(), LegendWidget::setFont(), setTitleFont(), titlePicker, ScalePicker::titleSelected(), and updateMarkersBoundingRect().

Referenced by ApplicationWindow::setBoldFont(), ApplicationWindow::setFontFamily(), ApplicationWindow::setFontSize(), and ApplicationWindow::setItalicFont().

void Graph::setCurveFullRange | ( | int | curveIndex | ) |

slot

References curve(), modifiedGraph(), DataCurve::setFullRange(), and updatePlot().

Referenced by ApplicationWindow::setCurveFullRange().

void Graph::setCurveLineColor | ( | int | curveIndex,
|  | int | colorIndex
| ) |  |

slot

References curve(), ColorBox::defaultColor(), and modifiedGraph().

void Graph::setCurveLineColor | ( | int | curveIndex,
|  | QColor | qColor
| ) |  |

slot

References curve(), and modifiedGraph().

void Graph::setCurveLineStyle | ( | int | curveIndex,
|  | Qt::PenStyle | style
| ) |  |

slot

References curve(), and modifiedGraph().

void Graph::setCurveLineWidth | ( | int | curveIndex,
|  | double | width
| ) |  |

slot

References curve(), and modifiedGraph().

void Graph::setCurvesList | ( | QList< QwtPlotItem * > | lst | ) |

inline

References d_curves.

Referenced by reverseCurveOrder().

void Graph::setCurveStyle | ( | int | index,
|  | int | s
| ) |  |

slot

References Box, curve(), ErrorBars, Function, Histogram, HorizontalBars, HorizontalSteps, Line, LineSymbols, Pie, PlotCurve::plotStyle(), Scatter, PlotCurve::setPlotStyle(), Spline, VectXYAM, VectXYXY, VerticalBars, VerticalDropLines, and VerticalSteps.

Referenced by PlotDialog::acceptParams(), PlotDialog::applyLineFormatToLayer(), PlotDialog::changePlotType(), and FunctionCurve::restore().

void Graph::setFrame | ( | int | width = `1`,
|  | const QColor & | color = `Qt::black`
| ) |  |

slot

References frameColor().

Referenced by PlotDialog::applyFormatToLayer(), copy(), ApplicationWindow::openGraph(), plotPie(), ApplicationWindow::setPreferences(), and ApplicationWindow::waterfallPlot().

void Graph::setGrayScale | ( |  | ) |

slot

References d_curves, ErrorBars, isPiePlot(), ErrorBarsCurve::masterCurve(), modifiedGraph(), ErrorBarsCurve::setColor(), and PlotCurve::type().

void Graph::setGridOnTop | ( | bool | on = `true`,
|  | bool | update = `true`
| ) |  |

slot

References d_grid, d_grid_on_top, and modifiedGraph().

Referenced by PlotDialog::acceptParams(), and ApplicationWindow::openGraph().

void Graph::setIndexedColors | ( |  | ) |

slot

References MdiSubWindow::applicationWindow(), d_curves, ColorBox::defaultColors(), ErrorBars, ApplicationWindow::indexedColors(), ErrorBarsCurve::masterCurve(), modifiedGraph(), multiLayer(), ErrorBarsCurve::setColor(), and PlotCurve::type().

void Graph::setLabelsDateTimeFormat | ( | int | axis,
|  | int | type,
|  | const QString & | formatInfo
| ) |  |

slot

References ScaleDraw::Date, drawAxesBackbone, ScaleDraw::formatString(), ScaleDraw::scaleType(), ScaleDraw::setDateFormat(), ScaleDraw::setTimeFormat(), and ScaleDraw::Time.

Referenced by copyScaleDraw(), insertCurve(), ApplicationWindow::openGraph(), showAxis(), and updateSecondaryAxis().

void Graph::setLabelsDayFormat | ( | int | axis,
|  | int | format
| ) |  |

slot

References ScaleDraw::setDayFormat().

Referenced by copyScaleDraw(), ApplicationWindow::openGraph(), showAxis(), and updateSecondaryAxis().

void Graph::setLabelsMonthFormat | ( | int | axis,
|  | int | format
| ) |  |

slot

References ScaleDraw::setMonthFormat().

Referenced by copyScaleDraw(), ApplicationWindow::openGraph(), showAxis(), and updateSecondaryAxis().

void Graph::setLabelsNumericFormat | ( | const QStringList & | l | ) |

slot

Used for restoring project files.

References ScaleDraw::formula().

Referenced by copyScaleDraw(), ApplicationWindow::openGraph(), and showAxis().

void Graph::setLabelsNumericFormat | ( | int | axis,
|  | int | format,
|  | int | prec = `6`,
|  | const QString & | formula = `QString()`
| ) |  |

slot

References ScaleDraw::setNumericFormat(), and ScaleDraw::setNumericPrecision().

void Graph::setLabelsTextFormat | ( | int | axis,
|  | int | type,
|  | const QString & | name,
|  | const QStringList & | lst
| ) |  |

slot

References ScaleDraw::ColHeader, ScaleDraw::formatString(), ScaleDraw::labelsList(), ScaleDraw::scaleType(), and ScaleDraw::Text.

Referenced by DataCurve::loadData(), ApplicationWindow::openGraph(), and showAxis().

void Graph::setLabelsTextFormat | ( | int | axis,
|  | int | type,
|  | const QString & | labelsColName,
|  | Table * | table
| ) |  |

slot

References ScaleDraw::ColHeader, Table::colIndex(), Table::colLabel(), Table::colPlotDesignation(), Table::numCols(), Table::numRows(), ScaleDraw::Text, Table::text(), and Table::Y.

void Graph::setLegend | ( | const QString & | s | ) |

slot

References legend(), and LegendWidget::setText().

void Graph::setMajorTicksType | ( | int | axis,
|  | int | type
| ) |  |

References ScaleDraw::setMajorTicksStyle().

Referenced by ApplicationWindow::openGraph(), setMajorTicksType(), and ApplicationWindow::setPreferences().

void Graph::setMajorTicksType | ( | const QList< int > & | lst | ) |

slot

References getMajorTicksType(), ScaleDraw::In, majorTickLength(), minorTickLength(), ScaleDraw::None, and ScaleDraw::setMajorTicksStyle().

void Graph::setMajorTicksType | ( | const QStringList & | lst | ) |

slot

References setMajorTicksType().

void Graph::setMinorTicksType | ( | int | axis,
|  | int | type
| ) |  |

References ScaleDraw::setMinorTicksStyle().

Referenced by ApplicationWindow::openGraph(), setMinorTicksType(), and ApplicationWindow::setPreferences().

void Graph::setMinorTicksType | ( | const QList< int > & | lst | ) |

slot

References getMinorTicksType(), and setMinorTicksType().

void Graph::setMinorTicksType | ( | const QStringList & | lst | ) |

slot

References setMinorTicksType().

void Graph::setPageGeometry | ( | const QRectF & | r | ) |

inline

References d_page_rect.

Referenced by ApplicationWindow::openGraph(), and MultiLayer::resizeLayers().

void Graph::setRightAxisTitle | ( | const QString & | text | ) |

slot

References modifiedGraph(), and setAxisTitle().

void Graph::setScale | ( | int | axis,
|  | double | start,
|  | double | end,
|  | double | step = `0.0`,
|  | int | majorTicks = `5`,
|  | int | minorTicks = `5`,
|  | int | type = `0`,
|  | bool | inverted = `false`,
|  | double | left_break = `-DBL_MAX`,
|  | double | right_break = `DBL_MAX`,
|  | int | pos = `50`,
|  | double | stepBeforeBreak = `0.0`,
|  | double | stepAfterBreak = `0.0`,
|  | int | minTicksBeforeBreak = `4`,
|  | int | minTicksAfterBreak = `4`,
|  | bool | log10AfterBreak = `false`,
|  | int | breakWidth = `4`,
|  | bool | breakDecoration = `true`
| ) |  |

slot

References axisBoundingInterval(), axisDivChanged(), d_synchronize_scales, d_user_step, d_zoomer, ScaleEngine::divideScale(), ScaleEngine::drawBreakDecoration(), ScaleTransformation::Ln, ScaleTransformation::Log10, ScaleTransformation::Log2, ScaleTransformation::Reciprocal, ScaleEngine::setBreakPosition(), ScaleEngine::setBreakRegion(), ScaleEngine::setBreakWidth(), ScaleEngine::setLog10ScaleAfterBreak(), ScaleEngine::setMinTicksAfterBreak(), ScaleEngine::setMinTicksBeforeBreak(), ScaleEngine::setStepAfterBreak(), ScaleEngine::setStepBeforeBreak(), ScaleEngine::setType(), updateMarkersBoundingRect(), and updateSecondaryAxis().

Referenced by copyScaleDraw(), ImageProfilesTool::modifiedMatrix(), ApplicationWindow::openGraph(), ApplicationWindow::plotImage(), MultiLayer::plotProfiles(), setCanvasCoordinates(), MultiLayer::updateLayerAxes(), and AxesDialog::updatePlot().

void Graph::setScaleTitle | ( | int | axis,
|  | const QString & | text
| ) |  |

slot

TODO: eliminate this function in version 0.9.1 (used only when restoring project files)

References setAxisTitle().

Referenced by ApplicationWindow::openGraph().

void Graph::setSelectedArrow | ( | ArrowMarker * | mrk,
|  | bool | add = `false`
| ) |  |

slot

Set the selected arrow.

Parameters

  mrk | key of the arrow to be selected.
  add | whether the arrow is to be added to an existing selection. If add is false (the default) or there is no existing selection, a new SelectionMoveResizer is created and stored in d_markers_selector.

References d_lines, d_markers_selector, d_selected_arrow, ScalePicker::deselect(), ArrowMarker::editable(), modifiedGraph(), scalePicker, and selectTitle().

Referenced by CanvasPicker::selectMarker().

void Graph::setSynchronizedScaleDivisions | ( | bool | on | ) |

inline

References d_synchronize_scales.

Referenced by ConfigDialog::apply(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

void Graph::setTickLength | ( | int | minLength,
|  | int | majLength
| ) |  |

References d_maj_tick_length, and d_min_tick_length.

Referenced by setAxisTicksLength().

void Graph::setTicksLength | ( | int | minLength,
|  | int | majLength
| ) |  |

slot

References getMajorTicksType(), getMinorTicksType(), and setAxisTicksLength().

Referenced by changeTicksLength(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

void Graph::setTitleAlignment | ( | int | align | ) |

slot

References modifiedGraph().

Referenced by ApplicationWindow::openGraph().

void Graph::setTitleColor | ( | const QColor & | c | ) |

slot

References modifiedGraph().

Referenced by ApplicationWindow::openGraph().

void Graph::setTitleFont | ( | const QFont & | fnt | ) |

slot

References modifiedGraph().

Referenced by ApplicationWindow::openGraph(), and setCurrentFont().

void Graph::setTopAxisTitle | ( | const QString & | text | ) |

slot

References modifiedGraph(), and setAxisTitle().

void Graph::setWaterfallFillColor | ( | const QColor & | c | ) |

slot

References curve(), d_curves, and modifiedGraph().

Referenced by MultiLayer::setWaterfallFillColor().

void Graph::setWaterfallOffset | ( | int | x,
|  | int | y,
|  | bool | update = `false`
| ) |  |

slot

References d_waterfall_offset_x, d_waterfall_offset_y, modifiedGraph(), and updateDataCurves().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openGraph(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and ApplicationWindow::waterfallPlot().

void Graph::setWaterfallSideLines | ( | bool | on = `true` | ) |

slot

References curve(), d_curves, PlotCurve::enableSideLines(), and modifiedGraph().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openGraph(), ApplicationWindow::openProject(), and ApplicationWindow::openTemplate().

void Graph::setWaterfallXOffset | ( | int | offset | ) |

slot

References d_waterfall_offset_x, modifiedGraph(), and updateDataCurves().

void Graph::setWaterfallYOffset | ( | int | offset | ) |

slot

References d_waterfall_offset_y, modifiedGraph(), and updateDataCurves().

void Graph::setXAxisTitle | ( | const QString & | text | ) |

slot

References modifiedGraph(), and setAxisTitle().

Referenced by LineProfileTool::calculateLineProfile(), and FFT::outputGraphs().

void Graph::setYAxisTitle | ( | const QString & | text | ) |

slot

References modifiedGraph(), and setAxisTitle().

Referenced by LineProfileTool::calculateLineProfile(), and FFT::outputGraphs().

void Graph::showAxis | ( | int | axis,
|  | int | type,
|  | const QString & | formatInfo,
|  | Table * | table,
|  | bool | axisOn,
|  | int | majTicksType,
|  | int | minTicksType,
|  | bool | labelsOn,
|  | const QColor & | c,
|  | int | format,
|  | int | prec,
|  | int | rotation,
|  | int | baselineDist,
|  | const QString & | formula,
|  | const QColor & | labelsColor,
|  | int | spacing = `4`,
|  | bool | backbone = `true`,
|  | const ScaleDraw::ShowTicksPolicy & | showTicks = `ScaleDraw::ShowAll`,
|  | const QString & | prefix = `QString::null`,
|  | const QString & | suffix = `QString::null`
| ) |  |

slot

References axisColor(), axisLabelFormat(), axisLabelPrecision(), axisLabelsColor(), d_grid, d_synchronize_scales, ScaleDraw::Date, ScaleDraw::Day, enableAxis(), ScaleDraw::formatString(), ScaleDraw::formula(), getMajorTicksType(), getMinorTicksType(), labelsRotation(), majorTickLength(), minorTickLength(), modifiedGraph(), ScaleDraw::Month, ScaleDraw::Numeric, ScaleDraw::prefix(), ScalePicker::refresh(), scalePicker, ScaleDraw::scaleType(), setAxisLabelRotation(), setAxisTicksLength(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), setLabelsNumericFormat(), setLabelsTextFormat(), ScaleDraw::setPrefix(), ScaleDraw::setShowTicksPolicy(), ScaleDraw::setSuffix(), ScaleDraw::showTicksPolicy(), ScaleDraw::suffix(), ScaleDraw::Time, updateLayout(), updateSecondaryAxis(), Grid::xZeroLineMarker(), and Grid::yZeroLineMarker().

Referenced by AxesDialog::showAxis().

void Graph::showAxisContextMenu | ( | int | axis | ) |

slot

References grid(), hideSelectedAxis(), setAutoScale(), showAxisDialog(), showGrids(), and showScaleDialog().

Referenced by Graph().

void Graph::showAxisDialog | ( |  | ) |

slot

References ScalePicker::currentAxis(), and scalePicker.

Referenced by Graph(), and showAxisContextMenu().

void Graph::showAxisDialog | ( | int |  | ) |

signal

void Graph::showAxisTitleDialog | ( |  | ) |

signal

Referenced by enableTextEditor(), and showAxisTitleMenu().

void Graph::showAxisTitleMenu | ( |  | ) |

slot

References clearAxisTitle(), copyAxisTitle(), cutAxisTitle(), removeAxisTitle(), and showAxisTitleDialog().

Referenced by Graph().

void Graph::showContextMenu | ( |  | ) |

signal

Referenced by contextMenuEvent().

void Graph::showCurve | ( | int | index,
|  | bool | visible = `true`
| ) |  |

slot

Shows/Hides a curve defined by its index.

References modifiedGraph(), and plotItem().

Referenced by ApplicationWindow::hideCurve(), ApplicationWindow::hideOtherCurves(), and ApplicationWindow::showAllCurves().

void Graph::showCurveContextMenu | ( | QwtPlotItem * |  | ) |

signal

Referenced by contextMenuEvent().

void Graph::showEvent | ( | QShowEvent * | event | ) |

private

References updateCurveLabels().

void Graph::showFitResults | ( | const QString & |  | ) |

signal

void Graph::showGrid | ( |  | ) |

slot

Convenience function enabling the grid for QwtScaleDraw::Left and Bottom Scales.

Referenced by showGrids(), and ApplicationWindow::zoomRectanglePlot().

void Graph::showGrid | ( | int | axis | ) |

slot

Convenience function enabling the grid for a user defined axis.

References d_grid, and modifiedGraph().

void Graph::showGrids | ( |  | ) |

slot

References ScalePicker::currentAxis(), scalePicker, and showGrid().

Referenced by showAxisContextMenu().

void Graph::showMarkerPopupMenu | ( |  | ) |

signal

Referenced by contextMenuEvent(), and Graph().

void Graph::showMissingDataGap | ( | bool | on = `true`,
|  | bool | update = `true`
| ) |  |

slot

References d_missing_data_gap, and modifiedGraph().

Referenced by PlotDialog::acceptParams(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

void Graph::showPlotDialog | ( | int |  | ) |

signal

Referenced by Graph().

void Graph::showPlotErrorMessage | ( | QWidget * | parent,
|  | const QStringList & | emptyColumns
| ) |  |

static slot

Referenced by CurvesDialog::addCurves().

void Graph::showScaleDialog | ( |  | ) |

slot

References axisDblClicked(), ScalePicker::currentAxis(), and scalePicker.

Referenced by showAxisContextMenu().

void Graph::showTitleContextMenu | ( |  | ) |

slot

References clearTitle(), copyTitle(), cutTitle(), removeTitle(), and viewTitleDialog().

Referenced by Graph().

Spectrogram * Graph::spectrogram | ( | Matrix * | m | ) |

slot

Returns a pointer to the spectrogram which data source is matrix m (the pointer can be NULL)

References d_curves, and Spectrogram::matrix().

Referenced by plotSpectrogram().

int Graph::speedModeMaxPoints | ( |  | ) |

inline

References d_speed_mode_points.

Referenced by DataCurve::enableSpeedMode(), and PlotDialog::setActiveLayer().

QList< FrameWidget * > Graph::stackingOrderEnrichmentsList | ( |  | ) | const

private

References MultiLayer::canvas(), d_enrichments, multiLayer(), and FrameWidget::plot().

Referenced by mousePressed(), and print().

QList< LegendWidget * > Graph::textsList | ( |  | ) |

References d_enrichments.

Referenced by MultiLayer::setFonts().

bool Graph::titleSelected | ( |  | ) |

slot

References TitlePicker::selected(), and titlePicker.

Referenced by ApplicationWindow::clearSelection(), ApplicationWindow::enableTextEditor(), and TextEditor::TextEditor().

void Graph::updateAxesTitles | ( |  | ) |

slot

References parseAxisTitle().

Referenced by PlotDialog::acceptParams(), CurvesDialog::addCurves(), addCurves(), copy(), Graph(), ApplicationWindow::openGraph(), PlotWizard::plot2D(), and updateCurveNames().

void Graph::updateAxisTitle | ( | int | axis | ) |

slot

References parseAxisTitle().

Referenced by ApplicationWindow::plotDoubleYAxis().

void Graph::updateCurveLabels | ( |  | ) |

References curvesList(), and Function.

Referenced by resizeEvent(), and showEvent().

void Graph::updateCurveLayout | ( | PlotCurve * | c,
|  | const CurveLayout * | cL
| ) |  |

slot

References CurveLayout::aCol, CurveLayout::aStyle, PatternBox::brushStyle(), CurveLayout::connectType, curveIndex(), d_curves, CurveLayout::fillCol, CurveLayout::filledArea, getPenStyle(), CurveLayout::lCol, CurveLayout::lStyle, CurveLayout::lWidth, CurveLayout::penWidth, PlotCurve::plotStyle(), Scatter, Spline, CurveLayout::sSize, SymbolBox::style(), CurveLayout::sType, CurveLayout::symCol, and VerticalSteps.

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), insertCurve(), ApplicationWindow::openGraph(), and PlotWizard::plot2D().

void Graph::updateCurveNames | ( | const QString & | oldName,
|  | const QString & | newName,
|  | bool | updateTableName = `true`
| ) |  |

slot

References d_curves, Function, DataCurve::plotAssociation(), PlotCurve::type(), updateAxesTitles(), and DataCurve::updateColumnNames().

Referenced by ApplicationWindow::updateColNames(), and ApplicationWindow::updateTableNames().

void Graph::updateCurvesData | ( | Table * | w,
|  | const QString & | yColName
| ) |  |

slot

References d_curves, Function, PlotCurve::type(), updateMarkersBoundingRect(), and updatePlot().

Referenced by ApplicationWindow::updateCurves().

void Graph::updateDataCurves | ( |  | ) |

slot

References d_curves, dataCurve(), and DataCurve::loadData().

Referenced by ApplicationWindow::openGraph(), ApplicationWindow::pasteSelection(), MultiLayer::reverseWaterfallOrder(), setWaterfallOffset(), setWaterfallXOffset(), setWaterfallYOffset(), and MultiLayer::updateWaterfalls().

void Graph::updatedLayout | ( | Graph * |  | ) |

signal

Referenced by updateLayout().

void Graph::updateErrorBars | ( | ErrorBarsCurve * | er,
|  | bool | xErr,
|  | double | width,
|  | int | cap,
|  | const QColor & | c,
|  | bool | plus,
|  | bool | minus,
|  | bool | through
| ) |  |

slot

References ErrorBarsCurve::capLength(), ErrorBarsCurve::color(), ErrorBarsCurve::drawMinusSide(), ErrorBarsCurve::drawPlusSide(), ErrorBarsCurve::drawThroughSymbol(), ErrorBarsCurve::minusSide(), modifiedGraph(), ErrorBarsCurve::plusSide(), ErrorBarsCurve::setCapLength(), ErrorBarsCurve::setColor(), ErrorBarsCurve::setWidth(), ErrorBarsCurve::setXErrors(), ErrorBarsCurve::throughSymbol(), ErrorBarsCurve::width(), and ErrorBarsCurve::xErrors().

Referenced by PlotDialog::applyErrorBarFormatToCurve(), and PlotDialog::pickErrorBarsColor().

void Graph::updateLayout | ( |  | ) |

Adjust plot content to its current size. Must be reimplemented because the base implementation adds a mask causing an ugly drawing artefact.

References updatedLayout().

Referenced by AxesDialog::applyAxisFormatToLayer(), copy(), insertText(), ApplicationWindow::openGraph(), resizeEvent(), MultiLayer::resizeLayers(), TexWidget::restore(), MultiLayer::setCommonLayerAxes(), showAxis(), and Spectrogram::showColorScale().

void Graph::updateMarkersBoundingRect | ( | bool | rescaleEvent = `true` | ) |

slot

Keep the markers on screen each time the scales are modified by adding/removing curves.

References FrameWidget::attachPolicy(), d_enrichments, d_lines, FrameWidget::resetCoordinates(), FrameWidget::resetOrigin(), FrameWidget::Scales, and FrameWidget::updateCoordinates().

Referenced by TextDialog::apply(), enablePanningMagnifier(), TextDialog::formatLayerLabels(), setCanvasGeometry(), setCanvasSize(), FunctionDialog::setConstants(), setCurrentFont(), setScale(), updateCurvesData(), AxesDialog::updatePlot(), updateScale(), and zoomed().

void Graph::updateOppositeScaleDiv | ( | int | axis | ) |

slot

References ScaleEngine::clone(), d_user_step, and oppositeAxis().

Referenced by AxesDialog::updatePlot(), and updateSecondaryAxis().

void Graph::updatePlot | ( |  | ) |

slot

References d_active_tool, d_auto_scale, d_user_step, updateScale(), and zoomOn().

Referenced by CurveRangeDialog::accept(), CurvesDialog::addCurves(), addErrorBars(), addFunction(), addHistogram(), Correlation::addResultCurve(), Convolution::addResultCurve(), Filter::addResultCurve(), DrawPointTool::appendPoint(), ApplicationWindow::differentiate(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), modifyFunctionCurve(), Differentiation::output(), FFT::outputGraphs(), PlotWizard::plot2D(), plotVectors(), ApplicationWindow::remove3DMatrixPlots(), ApplicationWindow::removeCurve(), CurvesDialog::removeCurves(), PlotDialog::removeSelectedObject(), FunctionCurve::restore(), setCurveFullRange(), RangeSelectorTool::setCurveRange(), Fit::showConfidenceLimits(), Fit::showPredictionLimits(), Fit::showResiduals(), AssociationsDialog::updateCurves(), updateCurvesData(), and ApplicationWindow::updateMatrixPlots().

void Graph::updateScale | ( |  | ) |

slot

References d_auto_scale, d_synchronize_scales, d_zoomer, updateMarkersBoundingRect(), and updateSecondaryAxis().

Referenced by PlotDialog::acceptParams(), PlotDialog::applyFormatToLayer(), setAutoScale(), ApplicationWindow::setGraphDefaultSettings(), and updatePlot().

void Graph::updateSecondaryAxis | ( | int | axis,
|  | bool | changeFormat = `false`
| ) |  |

slot

References Spectrogram::colorScaleAxis(), d_curves, ScaleDraw::Date, ScaleDraw::Day, ScaleDraw::formatString(), ScaleDraw::Month, ScaleDraw::nameFormat(), oppositeAxis(), ScaleDraw::scaleType(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), ScaleDraw::Time, and updateOppositeScaleDiv().

Referenced by addCurves(), plotSpectrogram(), FunctionDialog::setConstants(), ApplicationWindow::setPreferences(), setScale(), showAxis(), updateScale(), and zoomOut().

void Graph::updateVectorsLayout | ( | int | curve,
|  | const QColor & | color,
|  | double | width,
|  | int | arrowLength,
|  | int | arrowAngle,
|  | bool | filled,
|  | int | position,
|  | const QString & | xEndColName = `QString()`,
|  | const QString & | yEndColName = `QString()`
| ) |  |

slot

References curve(), VectorCurve::fillArrowHead(), modifiedGraph(), VectorCurve::setColor(), VectorCurve::setHeadAngle(), VectorCurve::setHeadLength(), VectorCurve::setPosition(), VectorCurve::setVectorEnd(), and VectorCurve::setWidth().

Referenced by PlotDialog::acceptParams(), and ApplicationWindow::openGraph().

void Graph::updateWaterfallFill | ( | bool | on | ) |

slot

References curve(), d_curves, modifiedGraph(), and multiLayer().

bool Graph::validCurvesDataSize | ( |  | ) |

slot

References d_curves.

Referenced by ApplicationWindow::analysis(), ApplicationWindow::baselineDialog(), ApplicationWindow::fitMultiPeak(), ApplicationWindow::movePoints(), ApplicationWindow::removePoints(), ApplicationWindow::showCursor(), ApplicationWindow::showExpDecayDialog(), ApplicationWindow::showFFTDialog(), ApplicationWindow::showFilterDialog(), ApplicationWindow::showFitDialog(), ApplicationWindow::showFitPolynomDialog(), ApplicationWindow::showInterpolationDialog(), ApplicationWindow::showSmoothDialog(), ApplicationWindow::subtractReferenceData(), ApplicationWindow::subtractStraightLine(), and ApplicationWindow::translateCurve().

void Graph::viewLineDialog | ( |  | ) |

signal

Referenced by Graph().

void Graph::viewTitleDialog | ( |  | ) |

signal

Referenced by enableTextEditor(), and showTitleContextMenu().

int Graph::visibleCurves | ( |  | ) |

slot

References d_curves.

Referenced by ApplicationWindow::showCurveContextMenu(), and ApplicationWindow::showGraphContextMenu().

int Graph::waterfallXOffset | ( |  | ) |

inline slot

References d_waterfall_offset_x.

Referenced by copy(), DataCurve::loadData(), and MultiLayer::showWaterfallOffsetDialog().

int Graph::waterfallYOffset | ( |  | ) |

inline slot

References d_waterfall_offset_y.

Referenced by copy(), DataCurve::loadData(), and MultiLayer::showWaterfallOffsetDialog().

void Graph::zoom | ( | bool | on | ) |

slot

References d_curves, and d_zoomer.

Referenced by disableTools(), Graph(), and ApplicationWindow::zoomIn().

void Graph::zoomed | ( | const QwtDoubleRect & |  | ) |

slot

References axisDivChanged(), modifiedGraph(), and updateMarkersBoundingRect().

Referenced by Graph().

bool Graph::zoomOn | ( |  | ) |

slot

References d_zoomer.

Referenced by ApplicationWindow::custom2DPlotTools(), disableTools(), CanvasPicker::eventFilter(), hasActiveTool(), MultiLayer::removeLayer(), MultiLayer::setNumLayers(), and updatePlot().

void Graph::zoomOut | ( |  | ) |

slot

References d_synchronize_scales, d_zoomer, and updateSecondaryAxis().

## Member Data Documentation

bool Graph::autoScaleFonts

private

Referenced by autoscaleFonts(), copy(), Graph(), saveToString(), setAutoscaleFonts(), setCanvasGeometry(), and setCanvasSize().

CanvasPicker* Graph::cp

private

Referenced by deselectMarker(), Graph(), remove(), and ~Graph().

FrameWidget* Graph::d_active_enrichment

private

Pointer to the currently selected text/legend.

Referenced by activeEnrichment(), activeText(), add(), addText(), deselectMarker(), Graph(), imageMarkerSelected(), insertText(), markerSelected(), remove(), select(), setActiveText(), setCurrentColor(), and setCurrentFont().

PlotToolInterface* Graph::d_active_tool

private

The currently active tool, or NULL for default (pointer).

Referenced by activeTool(), disableTools(), Graph(), hasActiveTool(), setActiveTool(), updatePlot(), and ~Graph().

bool Graph::d_antialiasing

private

Render hint for plot items.

Referenced by antialiasing(), disableCurveAntialiasing(), Graph(), insertCurve(), insertMarker(), isCurveAntialiasingEnabled(), saveToString(), and setAntialiasing().

bool Graph::d_auto_scale

private

Flag indicating if the axes limits should be changed in order to show all data each time a curva data change occurs.

Referenced by addCurves(), copy(), enableAutoscaling(), Graph(), isAutoscalingEnabled(), saveToString(), updatePlot(), and updateScale().

AxisTitlePolicy Graph::d_axis_title_policy

private

Referenced by axisTitlePolicy(), Graph(), parseAxisTitle(), and setAxisTitlePolicy().

QStringList Graph::d_axis_titles

private

Referenced by axisTitleString(), copyScaleWidget(), Graph(), parseAxisTitle(), and setAxisTitleString().

QString Graph::d_canvas_bkg_path

private

Referenced by canvasBackgroundFileName(), Graph(), restoreBackgroundImage(), saveBackgroundImage(), and setCanvasBackgroundImage().

QPixmap Graph::d_canvas_bkg_pix

private

Referenced by backgroundPixmap(), drawItems(), Graph(), restoreBackgroundImage(), saveBackgroundImage(), and setCanvasBackgroundImage().

QList<QwtPlotItem*> Graph::d_curves

private

List storing pointers to the curves on the plot.

Referenced by addErrorBars(), addLegendItem(), analysableCurvesList(), changeCurveIndex(), closestCurve(), curve(), curveCount(), curveIndex(), curveNamesList(), curvesList(), disableCurveAntialiasing(), enableDouglasPeukerSpeedMode(), enablePanningMagnifier(), generateFunctionName(), guessUniqueCurveLayout(), initCurveLayout(), insertCurve(), isPiePlot(), legendText(), masterCurve(), parseAxisTitle(), pieLegendText(), plotItem(), plotItemsList(), print(), reloadCurvesData(), removeCurve(), removeCurves(), removeLegendItem(), restoreSymbolImage(), reverseCurveOrder(), saveCurves(), saveToString(), setAntialiasing(), setCurvesList(), setGrayScale(), setIndexedColors(), setWaterfallFillColor(), setWaterfallSideLines(), spectrogram(), updateCurveLayout(), updateCurveNames(), updateCurvesData(), updateDataCurves(), updateSecondaryAxis(), updateWaterfallFill(), validCurvesDataSize(), visibleCurves(), and zoom().

bool Graph::d_disable_curve_antialiasing

private

Referenced by copy(), disableCurveAntialiasing(), isCurveAntialiasingDisabled(), and isCurveAntialiasingEnabled().

double Graph::d_Douglas_Peuker_tolerance

private

Referenced by copy(), copyCurves(), enableDouglasPeukerSpeedMode(), getDouglasPeukerTolerance(), Graph(), and saveToString().

QList<FrameWidget*> Graph::d_enrichments

private

Referenced by add(), addImage(), addLegendItem(), addTexFormula(), addText(), boundingRect(), enrichmentsList(), increasingAreaEnrichmentsList(), insertImageMarker(), insertText(), legend(), modifyFunctionCurve(), newLegend(), plotBox(), raiseEnrichements(), remove(), removeLegendItem(), resizeEvent(), saveMarkers(), scaleFonts(), stackingOrderEnrichmentsList(), textsList(), updateMarkersBoundingRect(), and ~Graph().

QList<QwtPlotCurve *> Graph::d_fit_curves

private

List storing pointers to the curves resulting after a fit session, in case the user wants to delete them later on.

Referenced by addFitCurve(), copyCurves(), deleteFitCurves(), fitCurvesList(), and removeCurve().

Grid* Graph::d_grid

private

Pointer to the grid.

Referenced by Graph(), grid(), setAxesLinewidth(), setAxisColor(), setGridOnTop(), showAxis(), and showGrid().

bool Graph::d_grid_on_top

private

Flag telling if the grid should be drawn on top of data.

Referenced by copy(), Graph(), hasGridOnTop(), saveToString(), and setGridOnTop().

QPointer<ImageProfilesTool> Graph::d_image_profiles_tool

private

Referenced by disableImageProfilesTool(), Graph(), imageProfilesTool(), saveToString(), and setActiveTool().

bool Graph::d_is_printing

private

Flag telling if we are performing a print operation.

Referenced by drawItems(), Graph(), isPrinting(), and print().

QList<ArrowMarker*> Graph::d_lines

private

Arrows/lines on plot.

Referenced by addArrow(), arrowMarkerSelected(), arrowsList(), deselectMarker(), numArrows(), remove(), removeMarker(), saveMarkers(), setAntialiasing(), setSelectedArrow(), and updateMarkersBoundingRect().

QwtPlotMagnifier* Graph::d_magnifier

private

Referenced by enablePanningMagnifier(), Graph(), hasActiveTool(), hasPanningMagnifierEnabled(), magnifyTool(), and ~Graph().

int Graph::d_maj_tick_length

private

Referenced by drawBreak(), drawInwardTicks(), Graph(), majorTickLength(), and setTickLength().

QPointer<SelectionMoveResizer> Graph::d_markers_selector

private

The markers selected for move/resize operations or NULL if none are selected.

Referenced by deselect(), deselectMarker(), hasSeletedItems(), remove(), removeMarker(), select(), selectionMoveResizer(), selectorDeleted(), setSelectedArrow(), and ~Graph().

int Graph::d_max_antialising_size

private

Referenced by copy(), disableCurveAntialiasing(), isCurveAntialiasingEnabled(), and maxAntialisingSize().

int Graph::d_min_tick_length

private

Axes tick lengths.

Referenced by drawInwardTicks(), Graph(), minorTickLength(), and setTickLength().

bool Graph::d_missing_data_gap

private

Flag telling if the curves line should be connected across missing data.

Referenced by copy(), Graph(), isMissingDataGapEnabled(), saveToString(), and showMissingDataGap().

QRectF Graph::d_page_rect

private

Referenced by Graph(), pageGeometry(), and setPageGeometry().

QwtPlotPanner* Graph::d_panner

private

Referenced by enablePanningMagnifier(), Graph(), hasActiveTool(), hasPanningMagnifierEnabled(), and ~Graph().

PlotToolInterface * Graph::d_peak_fit_tool

private

Referenced by disableTools(), Graph(), hasActiveTool(), setActiveTool(), and ~Graph().

QPointer<RangeSelectorTool> Graph::d_range_selector

private

The current curve selection, or NULL if none is active.

Referenced by disableTools(), enableRangeSelectors(), Graph(), hasActiveTool(), range(), rangeSelectorsEnabled(), rangeSelectorTool(), removeCurve(), selectedXEndValue(), selectedXStartValue(), setActiveTool(), and ~Graph().

ArrowMarker* Graph::d_selected_arrow

private

Pointer to the currently selected line/image.

Referenced by arrowMarkerSelected(), contextMenuEvent(), deselectMarker(), Graph(), markerSelected(), remove(), removeMarker(), selectedArrow(), and setSelectedArrow().

int Graph::d_speed_mode_points

private

Referenced by copyCurves(), enableDouglasPeukerSpeedMode(), Graph(), saveToString(), and speedModeMaxPoints().

bool Graph::d_synchronize_scales

private

Referenced by copy(), Graph(), hasSynchronizedScaleDivisions(), setScale(), setSynchronizedScaleDivisions(), showAxis(), updateScale(), and zoomOut().

QVector<double> Graph::d_user_step

private

Stores the step the user specified for the four scale. If step = 0.0, the step will be calculated automatically by the Qwt scale engine.

Referenced by axisStep(), Graph(), recoverObsoleteDateTimeScale(), saveScale(), setAutoScale(), setAxisStep(), setScale(), updateOppositeScaleDiv(), and updatePlot().

int Graph::d_waterfall_offset_x

private

Referenced by copy(), Graph(), isWaterfallPlot(), saveToString(), setWaterfallOffset(), setWaterfallXOffset(), and waterfallXOffset().

int Graph::d_waterfall_offset_y

private

Referenced by copy(), Graph(), isWaterfallPlot(), saveToString(), setWaterfallOffset(), setWaterfallYOffset(), and waterfallYOffset().

QwtPlotZoomer* Graph::d_zoomer[2]

private

Referenced by addCurves(), copy(), Graph(), plotSpectrogram(), setScale(), updateScale(), zoom(), zoomOn(), and zoomOut().

bool Graph::drawArrowOn

private

Referenced by drawArrow(), drawLine(), and Graph().

bool Graph::drawAxesBackbone

private

Referenced by axesBackbones(), drawAxesBackbones(), Graph(), loadAxesOptions(), saveAxesBackbones(), and setLabelsDateTimeFormat().

bool Graph::drawLineOn

private

Referenced by drawLine(), drawLineActive(), and Graph().

ScalePicker* Graph::scalePicker

private

Referenced by axisTitleRect(), axisTitleSelected(), clearAxisTitle(), copyAxisTitle(), currentScale(), deselect(), enableAxis(), Graph(), hasSeletedItems(), hideSelectedAxis(), mousePressed(), plotPie(), removeAxisTitle(), select(), selectedScale(), setCurrentColor(), setCurrentFont(), setSelectedArrow(), showAxis(), showAxisDialog(), showGrids(), showScaleDialog(), and ~Graph().

TitlePicker* Graph::titlePicker

private

Referenced by deselect(), enableTextEditor(), Graph(), hasSeletedItems(), selectTitle(), setCurrentColor(), setCurrentFont(), titleSelected(), and ~Graph().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/Graph.h
- qtiplot/src/plot2D/Graph.cpp